classdef modelobject
    methods(Static)
        function out = modelobj(len,in,out,t,bz)
            % Model exported on Oct 4 2022, 20:41 by COMSOL 6.0.0.318.

            import com.comsol.model.*
            import com.comsol.model.util.*
            
            model = ModelUtil.create('Model');
            
            model.modelPath('D:\Ceren');
            
            model.label('Modelcombined.mph');
            
            
            model.param.set('length', len);
            model.param.set('inlet', in);
            model.param.set('outlet', out);
            model.param.set('t', t, 'thickness');
            model.param.set('sf', 1.06e-03, 'force from skin (pascal)');
            model.param.set('bz', bz', 'bezier control point');
            
            model.component.create('comp1', true);
            
            model.component('comp1').geom.create('geom1', 3);
            
            model.result.table.create('tbl1', 'Table');
            model.result.table.create('tbl2', 'Table');
            model.result.table.create('tbl3', 'Table');
            model.result.table.create('tbl4', 'Table');
            model.result.table.create('tbl5', 'Table');
            model.result.table.create('tbl6', 'Table');
            model.result.table.create('tbl7', 'Table');
            model.result.table.create('tbl8', 'Table');
            model.result.table.create('tbl9', 'Table');
            model.result.table.create('tbl10', 'Table');
            model.result.table.create('tbl11', 'Table');
            model.result.table.create('evl3', 'Table');
            model.result.table.create('tbl12', 'Table');
            model.result.table.create('tbl13', 'Table');
            model.result.table.create('tbl14', 'Table');
            model.result.table.create('tbl15', 'Table');
            model.result.table.create('tbl16', 'Table');
            model.result.table.create('tbl17', 'Table');
            model.result.table.create('tbl18', 'Table');
            
            model.component('comp1').mesh.create('mesh1');
            
            model.component('comp1').geom('geom1').lengthUnit([native2unicode(hex2dec({'00' 'b5'}), 'unicode') 'm']);
            model.component('comp1').geom('geom1').create('qb1', 'QuadraticBezier');
            model.component('comp1').geom('geom1').feature('qb1').set('p', {'inlet' 'outlet/2' 'outlet'; '0' '0' '0'; '0' 'bz*length' 'length'});
            model.component('comp1').geom('geom1').feature('qb1').set('w', [1 1 1]);
            model.component('comp1').geom('geom1').create('qb2', 'QuadraticBezier');
            model.component('comp1').geom('geom1').feature('qb2').set('p', {'inlet+t' 'outlet/2+t' 'outlet+t'; '0' '0' '0'; '0' 'bz*length+t' 'length'});
            model.component('comp1').geom('geom1').feature('qb2').set('w', [1 1 1]);
            model.component('comp1').geom('geom1').create('ls1', 'LineSegment');
            model.component('comp1').geom('geom1').feature('ls1').set('specify1', 'coord');
            model.component('comp1').geom('geom1').feature('ls1').set('coord1', {'inlet' '0' '0'});
            model.component('comp1').geom('geom1').feature('ls1').set('specify2', 'coord');
            model.component('comp1').geom('geom1').feature('ls1').set('coord2', {'inlet+t' '0' '0'});
            model.component('comp1').geom('geom1').create('ls2', 'LineSegment');
            model.component('comp1').geom('geom1').feature('ls2').set('specify1', 'coord');
            model.component('comp1').geom('geom1').feature('ls2').set('coord1', {'outlet' '0' 'length'});
            model.component('comp1').geom('geom1').feature('ls2').set('specify2', 'coord');
            model.component('comp1').geom('geom1').feature('ls2').set('coord2', {'outlet+t' '0' 'length'});
            model.component('comp1').geom('geom1').create('ccur1', 'ConvertToCurve');
            model.component('comp1').geom('geom1').feature('ccur1').selection('input').set({'ls1' 'ls2' 'qb1' 'qb2'});
            model.component('comp1').geom('geom1').create('cap1', 'CapFaces');
            model.component('comp1').geom('geom1').feature('cap1').selection('input').set('ccur1(1)', [1 2 3 4]);
            model.component('comp1').geom('geom1').create('rev1', 'Revolve');
            model.component('comp1').geom('geom1').feature('rev1').set('angtype', 'full');
            model.component('comp1').geom('geom1').feature('rev1').set('axistype', '3d');
            model.component('comp1').geom('geom1').feature('rev1').set('axis3', [0 0 1]);
            model.component('comp1').geom('geom1').feature('rev1').selection('inputface').set('cap1(1)', 1);
            model.component('comp1').geom('geom1').create('ls3', 'LineSegment');
            model.component('comp1').geom('geom1').feature('ls3').set('specify1', 'coord');
            model.component('comp1').geom('geom1').feature('ls3').set('specify2', 'coord');
            model.component('comp1').geom('geom1').feature('ls3').set('coord2', {'0' '0' 'length'});
            model.component('comp1').geom('geom1').create('ls4', 'LineSegment');
            model.component('comp1').geom('geom1').feature('ls4').set('specify1', 'coord');
            model.component('comp1').geom('geom1').feature('ls4').set('specify2', 'coord');
            model.component('comp1').geom('geom1').feature('ls4').set('coord2', {'inlet' '0' '0'});
            model.component('comp1').geom('geom1').create('ls5', 'LineSegment');
            model.component('comp1').geom('geom1').feature('ls5').set('specify1', 'coord');
            model.component('comp1').geom('geom1').feature('ls5').set('coord1', {'0' '0' 'length'});
            model.component('comp1').geom('geom1').feature('ls5').set('specify2', 'coord');
            model.component('comp1').geom('geom1').feature('ls5').set('coord2', {'outlet' '0' 'length'});
            model.component('comp1').geom('geom1').create('qb3', 'QuadraticBezier');
            model.component('comp1').geom('geom1').feature('qb3').set('p', {'inlet' 'outlet/2' 'outlet'; '0' '0' '0'; '0' 'bz*length' 'length'});
            model.component('comp1').geom('geom1').feature('qb3').set('w', [1 1 1]);
            model.component('comp1').geom('geom1').create('ccur2', 'ConvertToCurve');
            model.component('comp1').geom('geom1').feature('ccur2').selection('input').set({'ls3' 'ls4' 'ls5' 'qb3'});
            model.component('comp1').geom('geom1').create('cap2', 'CapFaces');
            model.component('comp1').geom('geom1').feature('cap2').selection('input').set('ccur2(1)', [1 2 3 4]);
            model.component('comp1').geom('geom1').create('rev2', 'Revolve');
            model.component('comp1').geom('geom1').feature('rev2').set('angtype', 'full');
            model.component('comp1').geom('geom1').feature('rev2').set('axistype', '3d');
            model.component('comp1').geom('geom1').feature('rev2').set('axis3', [0 0 1]);
            model.component('comp1').geom('geom1').feature('rev2').selection('inputface').set('cap2(1)', 1);
            model.component('comp1').geom('geom1').create('wp1', 'WorkPlane');
            model.component('comp1').geom('geom1').feature('wp1').set('quickplane', 'zx');
            model.component('comp1').geom('geom1').feature('wp1').set('unite', true);
            model.component('comp1').geom('geom1').nodeGroup.create('grp1');
            model.component('comp1').geom('geom1').nodeGroup('grp1').label('Needle Geometry');
            model.component('comp1').geom('geom1').nodeGroup('grp1').placeAfter([]);
            model.component('comp1').geom('geom1').nodeGroup('grp1').add('qb1');
            model.component('comp1').geom('geom1').nodeGroup('grp1').add('qb2');
            model.component('comp1').geom('geom1').nodeGroup('grp1').add('ls1');
            model.component('comp1').geom('geom1').nodeGroup('grp1').add('ls2');
            model.component('comp1').geom('geom1').nodeGroup('grp1').add('ccur1');
            model.component('comp1').geom('geom1').nodeGroup('grp1').add('cap1');
            model.component('comp1').geom('geom1').nodeGroup('grp1').add('rev1');
            model.component('comp1').geom('geom1').nodeGroup.create('grp2');
            model.component('comp1').geom('geom1').nodeGroup('grp2').label('Fluid Flow Geometry');
            model.component('comp1').geom('geom1').nodeGroup('grp2').placeAfter([]);
            model.component('comp1').geom('geom1').nodeGroup('grp2').add('ls3');
            model.component('comp1').geom('geom1').nodeGroup('grp2').add('ls4');
            model.component('comp1').geom('geom1').nodeGroup('grp2').add('ls5');
            model.component('comp1').geom('geom1').nodeGroup('grp2').add('qb3');
            model.component('comp1').geom('geom1').nodeGroup('grp2').add('ccur2');
            model.component('comp1').geom('geom1').nodeGroup('grp2').add('cap2');
            model.component('comp1').geom('geom1').nodeGroup('grp2').add('rev2');
            model.component('comp1').geom('geom1').run;
            
            model.component('comp1').view('view2').tag('view3');
            model.view.create('view2', 3);
            
            model.component('comp1').material.create('mat1', 'Common');
            model.component('comp1').material.create('mat2', 'Common');
            model.component('comp1').material.create('mat3', 'Common');
            model.component('comp1').material.create('mat4', 'Common');
            model.component('comp1').material.create('mat5', 'Common');
            model.component('comp1').material.create('mat6', 'Common');
            model.component('comp1').material('mat1').selection.set([2]);
            model.component('comp1').material('mat1').propertyGroup('def').func.create('eta', 'Piecewise');
            model.component('comp1').material('mat1').propertyGroup('def').func.create('Cp', 'Piecewise');
            model.component('comp1').material('mat1').propertyGroup('def').func.create('rho', 'Piecewise');
            model.component('comp1').material('mat1').propertyGroup('def').func.create('k', 'Piecewise');
            model.component('comp1').material('mat1').propertyGroup('def').func.create('cs', 'Interpolation');
            model.component('comp1').material('mat1').propertyGroup('def').func.create('an1', 'Analytic');
            model.component('comp1').material('mat1').propertyGroup('def').func.create('an2', 'Analytic');
            model.component('comp1').material('mat1').propertyGroup('def').func.create('an3', 'Analytic');
            model.component('comp1').material('mat1').propertyGroup.create('Enu', 'Young''s modulus and Poisson''s ratio');
            model.component('comp1').material('mat2').propertyGroup.create('Enu', 'Young''s modulus and Poisson''s ratio');
            model.component('comp1').material('mat3').propertyGroup.create('LocalCurrentDensity', 'Local current density');
            model.component('comp1').material('mat3').propertyGroup('LocalCurrentDensity').func.create('int1', 'Interpolation');
            model.component('comp1').material('mat3').propertyGroup.create('ElectrodePotential', 'Equilibrium potential');
            model.component('comp1').material('mat3').propertyGroup.create('Enu', 'Young''s modulus and Poisson''s ratio');
            model.component('comp1').material('mat4').selection.set([2]);
            model.component('comp1').material('mat5').propertyGroup('def').func.create('k', 'Piecewise');
            model.component('comp1').material('mat5').propertyGroup('def').func.create('alpha_solid_1', 'Piecewise');
            model.component('comp1').material('mat5').propertyGroup('def').func.create('C_solid_1', 'Piecewise');
            model.component('comp1').material('mat5').propertyGroup('def').func.create('HC_solid_1', 'Piecewise');
            model.component('comp1').material('mat5').propertyGroup('def').func.create('VP_solid_1', 'Piecewise');
            model.component('comp1').material('mat5').propertyGroup('def').func.create('rho_solid_1', 'Piecewise');
            model.component('comp1').material('mat5').propertyGroup('def').func.create('TD', 'Piecewise');
            model.component('comp1').material('mat5').propertyGroup.create('ThermalExpansion', 'Thermal expansion');
            model.component('comp1').material('mat5').propertyGroup('ThermalExpansion').func.create('dL_solid_1', 'Piecewise');
            model.component('comp1').material('mat5').propertyGroup.create('Enu', 'Young''s modulus and Poisson''s ratio');
            model.component('comp1').material('mat5').propertyGroup('Enu').func.create('E', 'Piecewise');
            model.component('comp1').material('mat5').propertyGroup('Enu').func.create('nu', 'Piecewise');
            model.component('comp1').material('mat5').propertyGroup.create('KG', 'Bulk modulus and shear modulus');
            model.component('comp1').material('mat5').propertyGroup('KG').func.create('mu', 'Piecewise');
            model.component('comp1').material('mat5').propertyGroup('KG').func.create('kappa', 'Piecewise');
            model.component('comp1').material('mat6').propertyGroup.create('RefractiveIndex', 'Refractive index');
            model.component('comp1').material('mat6').propertyGroup('RefractiveIndex').func.create('int1', 'Interpolation');
            model.component('comp1').material('mat6').propertyGroup('RefractiveIndex').func.create('int2', 'Interpolation');
            
            model.component('comp1').common.create('free1', 'DeformingDomain');
            
            model.component('comp1').physics.create('solid', 'SolidMechanics', 'geom1');
            model.component('comp1').physics('solid').field('displacement').field('u2');
            model.component('comp1').physics('solid').field('displacement').component({'u2' 'v2' 'w2'});
            model.component('comp1').physics('solid').create('fix1', 'Fixed', 2);
            model.component('comp1').physics('solid').feature('fix1').selection.set([1 2 13 25]);
            model.component('comp1').physics('solid').create('bndl1', 'BoundaryLoad', 2);
            model.component('comp1').physics('solid').feature('bndl1').selection.set([4]);
            model.component('comp1').physics('solid').create('bndl2', 'BoundaryLoad', 2);
            model.component('comp1').physics('solid').feature('bndl2').selection.set([3]);
            model.component('comp1').physics('solid').create('bndl3', 'BoundaryLoad', 2);
            model.component('comp1').physics('solid').feature('bndl3').selection.set([14]);
            model.component('comp1').physics('solid').create('bndl4', 'BoundaryLoad', 2);
            model.component('comp1').physics('solid').feature('bndl4').selection.set([24]);
            model.component('comp1').physics('solid').create('bndl5', 'BoundaryLoad', 2);
            model.component('comp1').physics('solid').feature('bndl5').selection.set([7 8 16 21]);
            model.component('comp1').physics.create('spf', 'LaminarFlow', 'geom1');
            model.component('comp1').physics('spf').selection.set([2]);
            model.component('comp1').physics('spf').create('inl1', 'InletBoundary', 2);
            model.component('comp1').physics('spf').feature('inl1').selection.set([11 12 18 20]);
            model.component('comp1').physics('spf').create('out1', 'OutletBoundary', 2);
            model.component('comp1').physics('spf').feature('out1').selection.set([7 8 16 21]);
            model.component('comp1').physics('spf').create('vf1', 'VolumeForce', 3);
            model.component('comp1').physics('spf').feature('vf1').selection.set([2]);
            model.component('comp1').physics('spf').create('open1', 'OpenBoundary', 2);
            model.component('comp1').physics('spf').feature('open1').selection.set([11 12 18 20]);
            
            model.component('comp1').multiphysics.create('fsi1', 'FluidStructureInteractionBC', 2);
            model.component('comp1').multiphysics('fsi1').selection.all;
            
            model.result.table('tbl1').comments('Volume Minimum 1');
            model.result.table('tbl2').comments('Volume Maximum 1');
            model.result.table('tbl3').comments('Surface Average 1');
            model.result.table('tbl4').comments('Surface Maximum 1');
            model.result.table('tbl5').comments('Volume Maximum 1');
            model.result.table('tbl6').comments('Surface Maximum 1');
            model.result.table('tbl7').comments('Surface Average 1');
            model.result.table('tbl8').comments('Volume Average 2');
            model.result.table('tbl9').comments('Volume Maximum 1');
            model.result.table('tbl10').comments('Volume Maximum 1');
            model.result.table('tbl11').comments('Surface Average 1');
            model.result.table('evl3').label('Evaluation 3D');
            model.result.table('evl3').comments('Interactive 3D values');
            model.result.table('tbl12').comments('Volume Maximum 1');
            model.result.table('tbl13').comments('Volume Maximum 1');
            model.result.table('tbl14').comments('Volume Measurement 1');
            model.result.table('tbl15').comments('Volume Maximum 1');
            model.result.table('tbl16').comments('Volume Measurement 1');
            model.result.table('tbl17').comments('Volume Maximum 1');
            model.result.table('tbl18').comments('Volume Maximum 1');
            
            model.component('comp1').view('view3').label('View 3');
            
            model.component('comp1').material('mat1').label('Water, liquid');
            model.component('comp1').material('mat1').set('family', 'water');
            model.component('comp1').material('mat1').propertyGroup('def').func('eta').set('arg', 'T');
            model.component('comp1').material('mat1').propertyGroup('def').func('eta').set('pieces', {'273.15' '413.15' '1.3799566804-0.021224019151*T^1+1.3604562827E-4*T^2-4.6454090319E-7*T^3+8.9042735735E-10*T^4-9.0790692686E-13*T^5+3.8457331488E-16*T^6'; '413.15' '553.75' '0.00401235783-2.10746715E-5*T^1+3.85772275E-8*T^2-2.39730284E-11*T^3'});
            model.component('comp1').material('mat1').propertyGroup('def').func('eta').set('argunit', 'K');
            model.component('comp1').material('mat1').propertyGroup('def').func('eta').set('fununit', 'Pa*s');
            model.component('comp1').material('mat1').propertyGroup('def').func('Cp').set('arg', 'T');
            model.component('comp1').material('mat1').propertyGroup('def').func('Cp').set('pieces', {'273.15' '553.75' '12010.1471-80.4072879*T^1+0.309866854*T^2-5.38186884E-4*T^3+3.62536437E-7*T^4'});
            model.component('comp1').material('mat1').propertyGroup('def').func('Cp').set('argunit', 'K');
            model.component('comp1').material('mat1').propertyGroup('def').func('Cp').set('fununit', 'J/(kg*K)');
            model.component('comp1').material('mat1').propertyGroup('def').func('rho').set('arg', 'T');
            model.component('comp1').material('mat1').propertyGroup('def').func('rho').set('smooth', 'contd1');
            model.component('comp1').material('mat1').propertyGroup('def').func('rho').set('pieces', {'273.15' '293.15' '0.000063092789034*T^3-0.060367639882855*T^2+18.9229382407066*T-950.704055329848'; '293.15' '373.15' '0.000010335053319*T^3-0.013395065634452*T^2+4.969288832655160*T+432.257114008512'});
            model.component('comp1').material('mat1').propertyGroup('def').func('rho').set('argunit', 'K');
            model.component('comp1').material('mat1').propertyGroup('def').func('rho').set('fununit', 'kg/m^3');
            model.component('comp1').material('mat1').propertyGroup('def').func('k').set('arg', 'T');
            model.component('comp1').material('mat1').propertyGroup('def').func('k').set('pieces', {'273.15' '553.75' '-0.869083936+0.00894880345*T^1-1.58366345E-5*T^2+7.97543259E-9*T^3'});
            model.component('comp1').material('mat1').propertyGroup('def').func('k').set('argunit', 'K');
            model.component('comp1').material('mat1').propertyGroup('def').func('k').set('fununit', 'W/(m*K)');
            model.component('comp1').material('mat1').propertyGroup('def').func('cs').set('table', {'273' '1403';  ...
                '278' '1427';  ...
                '283' '1447';  ...
                '293' '1481';  ...
                '303' '1507';  ...
                '313' '1526';  ...
                '323' '1541';  ...
                '333' '1552';  ...
                '343' '1555';  ...
                '353' '1555';  ...
                '363' '1550';  ...
                '373' '1543'});
            model.component('comp1').material('mat1').propertyGroup('def').func('cs').set('interp', 'piecewisecubic');
            model.component('comp1').material('mat1').propertyGroup('def').func('cs').set('fununit', {'m/s'});
            model.component('comp1').material('mat1').propertyGroup('def').func('cs').set('argunit', {'K'});
            model.component('comp1').material('mat1').propertyGroup('def').func('an1').set('funcname', 'alpha_p');
            model.component('comp1').material('mat1').propertyGroup('def').func('an1').set('expr', '-1/rho(T)*d(rho(T),T)');
            model.component('comp1').material('mat1').propertyGroup('def').func('an1').set('args', {'T'});
            model.component('comp1').material('mat1').propertyGroup('def').func('an1').set('fununit', '1/K');
            model.component('comp1').material('mat1').propertyGroup('def').func('an1').set('argunit', {'K'});
            model.component('comp1').material('mat1').propertyGroup('def').func('an1').set('plotargs', {'T' '273.15' '373.15'});
            model.component('comp1').material('mat1').propertyGroup('def').func('an2').set('funcname', 'gamma_w');
            model.component('comp1').material('mat1').propertyGroup('def').func('an2').set('expr', '1+(T/Cp(T))*(alpha_p(T)*cs(T))^2');
            model.component('comp1').material('mat1').propertyGroup('def').func('an2').set('args', {'T'});
            model.component('comp1').material('mat1').propertyGroup('def').func('an2').set('fununit', '1');
            model.component('comp1').material('mat1').propertyGroup('def').func('an2').set('argunit', {'K'});
            model.component('comp1').material('mat1').propertyGroup('def').func('an2').set('plotargs', {'T' '273.15' '373.15'});
            model.component('comp1').material('mat1').propertyGroup('def').func('an3').set('funcname', 'muB');
            model.component('comp1').material('mat1').propertyGroup('def').func('an3').set('expr', '2.79*eta(T)');
            model.component('comp1').material('mat1').propertyGroup('def').func('an3').set('args', {'T'});
            model.component('comp1').material('mat1').propertyGroup('def').func('an3').set('fununit', 'Pa*s');
            model.component('comp1').material('mat1').propertyGroup('def').func('an3').set('argunit', {'K'});
            model.component('comp1').material('mat1').propertyGroup('def').func('an3').set('plotargs', {'T' '273.15' '553.75'});
            model.component('comp1').material('mat1').propertyGroup('def').set('thermalexpansioncoefficient', '');
            model.component('comp1').material('mat1').propertyGroup('def').set('bulkviscosity', '');
            model.component('comp1').material('mat1').propertyGroup('def').set('thermalexpansioncoefficient', {'alpha_p(T)' '0' '0' '0' 'alpha_p(T)' '0' '0' '0' 'alpha_p(T)'});
            model.component('comp1').material('mat1').propertyGroup('def').set('bulkviscosity', 'muB(T)');
            model.component('comp1').material('mat1').propertyGroup('def').set('dynamicviscosity', 'eta(T)');
            model.component('comp1').material('mat1').propertyGroup('def').set('ratioofspecificheat', 'gamma_w(T)');
            model.component('comp1').material('mat1').propertyGroup('def').set('electricconductivity', {'5.5e-6[S/m]' '0' '0' '0' '5.5e-6[S/m]' '0' '0' '0' '5.5e-6[S/m]'});
            model.component('comp1').material('mat1').propertyGroup('def').set('heatcapacity', 'Cp(T)');
            model.component('comp1').material('mat1').propertyGroup('def').set('density', 'rho(T)');
            model.component('comp1').material('mat1').propertyGroup('def').set('thermalconductivity', {'k(T)' '0' '0' '0' 'k(T)' '0' '0' '0' 'k(T)'});
            model.component('comp1').material('mat1').propertyGroup('def').set('soundspeed', 'cs(T)');
            model.component('comp1').material('mat1').propertyGroup('def').set('youngsmodulus', '10e+10');
            model.component('comp1').material('mat1').propertyGroup('def').set('poissonsratio', '0.5');
            model.component('comp1').material('mat1').propertyGroup('def').addInput('temperature');
            model.component('comp1').material('mat1').propertyGroup('Enu').set('E', '');
            model.component('comp1').material('mat1').propertyGroup('Enu').set('nu', '');
            model.component('comp1').material('mat1').propertyGroup('Enu').set('E', '10e+10');
            model.component('comp1').material('mat1').propertyGroup('Enu').set('nu', '0.5');
            model.component('comp1').material('mat1').materialType('nonSolid');
            model.component('comp1').material('mat2').active(false);
            model.component('comp1').material('mat2').label('PDMS - Polydimethylsiloxane');
            model.component('comp1').material('mat2').propertyGroup('def').set('thermalexpansioncoefficient', {'9e-4[1/K]' '0' '0' '0' '9e-4[1/K]' '0' '0' '0' '9e-4[1/K]'});
            model.component('comp1').material('mat2').propertyGroup('def').set('heatcapacity', '1460[J/(kg*K)]');
            model.component('comp1').material('mat2').propertyGroup('def').set('relpermittivity', {'2.75' '0' '0' '0' '2.75' '0' '0' '0' '2.75'});
            model.component('comp1').material('mat2').propertyGroup('def').set('density', '970[kg/m^3]');
            model.component('comp1').material('mat2').propertyGroup('def').set('thermalconductivity', {'0.16[W/(m*K)]' '0' '0' '0' '0.16[W/(m*K)]' '0' '0' '0' '0.16[W/(m*K)]'});
            model.component('comp1').material('mat2').propertyGroup('def').set('dynamicviscosity', '0.5e+5');
            model.component('comp1').material('mat2').propertyGroup('Enu').set('E', '');
            model.component('comp1').material('mat2').propertyGroup('Enu').set('nu', '');
            model.component('comp1').material('mat2').propertyGroup('Enu').set('E', '');
            model.component('comp1').material('mat2').propertyGroup('Enu').set('nu', '');
            model.component('comp1').material('mat2').propertyGroup('Enu').set('E', '');
            model.component('comp1').material('mat2').propertyGroup('Enu').set('nu', '');
            model.component('comp1').material('mat2').propertyGroup('Enu').set('E', '750[kPa]');
            model.component('comp1').material('mat2').propertyGroup('Enu').set('nu', '0.49');
            model.component('comp1').material('mat3').active(false);
            model.component('comp1').material('mat3').label('UNS N08031 (stainless steel) in 5.5 M H3PO4 at 25 C ');
            model.component('comp1').material('mat3').propertyGroup('def').set('density', '7500');
            model.component('comp1').material('mat3').propertyGroup('LocalCurrentDensity').func('int1').set('funcname', 'iloc_exp');
            model.component('comp1').material('mat3').propertyGroup('LocalCurrentDensity').func('int1').set('table', {'-0.38597786' '-0.001099105';  ...
                '-0.312177122' '-0.000234148';  ...
                '-0.239852399' '-4.53787E-05';  ...
                '-0.20295203' '-1.24466E-05';  ...
                '-0.192619926' '-1.60175E-08';  ...
                '-0.167527675' '5.30928E-06';  ...
                '-0.121771218' '5.47694E-06';  ...
                '-0.083394834' '3.99381E-06';  ...
                '-0.036162362' '2.48717E-06';  ...
                '0.086346863' '2.48417E-06';  ...
                '0.303321033' '2.40189E-06';  ...
                '0.471586716' '2.39791E-06';  ...
                '0.641328413' '2.47062E-06';  ...
                '0.811070111' '2.6271E-06';  ...
                '0.967527675' '3.07114E-06';  ...
                '1.016236162' '3.26955E-06';  ...
                '1.078228782' '7.18934E-06';  ...
                '1.100369004' '3.47957E-05';  ...
                '1.101845018' '0.000179411';  ...
                '1.12398524' '0.001438344';  ...
                '1.149077491' '0.00253706'});
            model.component('comp1').material('mat3').propertyGroup('LocalCurrentDensity').func('int1').set('extrap', 'linear');
            model.component('comp1').material('mat3').propertyGroup('LocalCurrentDensity').func('int1').set('fununit', {'A/cm^2'});
            model.component('comp1').material('mat3').propertyGroup('LocalCurrentDensity').func('int1').set('argunit', {'V'});
            model.component('comp1').material('mat3').propertyGroup('LocalCurrentDensity').set('ilocmat', 'iloc_exp(E_vs_ref_exp)');
            model.component('comp1').material('mat3').propertyGroup('LocalCurrentDensity').set('INFO_PREFIX:ilocmat', 'E. Blasco-Tamarit, D. M. Garcia-Garcia, M. Ibanez Ferrandiz, J. Garcia Anton and A. Guenbour, "Corrosion resistance and galvanic coupling of UNS N08031 base metal, heat-affected zone, and weld metal in phosphoric acid at different temperatures", CORROSION, vol. 67, p. 035001-1, 2011.');
            model.component('comp1').material('mat3').propertyGroup('LocalCurrentDensity').set('E_vs_SHE', 'V');
            model.component('comp1').material('mat3').propertyGroup('LocalCurrentDensity').descr('E_vs_SHE', 'Electrode potential vs. SHE');
            model.component('comp1').material('mat3').propertyGroup('LocalCurrentDensity').set('E_ref_exp_vs_SHE', '0.197 [V]');
            model.component('comp1').material('mat3').propertyGroup('LocalCurrentDensity').descr('E_ref_exp_vs_SHE', 'Reference electrode potential in experiment vs. SHE');
            model.component('comp1').material('mat3').propertyGroup('LocalCurrentDensity').set('E_vs_ref_exp', 'E_vs_SHE-E_ref_exp_vs_SHE');
            model.component('comp1').material('mat3').propertyGroup('LocalCurrentDensity').descr('E_vs_ref_exp', 'Electrode potential vs. experimental Ag/AgCl reference electrode');
            model.component('comp1').material('mat3').propertyGroup('LocalCurrentDensity').addInput('electricpotential');
            model.component('comp1').material('mat3').propertyGroup('ElectrodePotential').set('Eeq', '');
            model.component('comp1').material('mat3').propertyGroup('ElectrodePotential').set('dEeqdT', '');
            model.component('comp1').material('mat3').propertyGroup('ElectrodePotential').set('cEeqref', '');
            model.component('comp1').material('mat3').propertyGroup('ElectrodePotential').set('Eeq', '');
            model.component('comp1').material('mat3').propertyGroup('ElectrodePotential').set('dEeqdT', '');
            model.component('comp1').material('mat3').propertyGroup('ElectrodePotential').set('cEeqref', '');
            model.component('comp1').material('mat3').propertyGroup('ElectrodePotential').set('Eeq', '');
            model.component('comp1').material('mat3').propertyGroup('ElectrodePotential').set('dEeqdT', '');
            model.component('comp1').material('mat3').propertyGroup('ElectrodePotential').set('cEeqref', '');
            model.component('comp1').material('mat3').propertyGroup('ElectrodePotential').set('Eeq', '');
            model.component('comp1').material('mat3').propertyGroup('ElectrodePotential').set('dEeqdT', '');
            model.component('comp1').material('mat3').propertyGroup('ElectrodePotential').set('cEeqref', '');
            model.component('comp1').material('mat3').propertyGroup('ElectrodePotential').set('Eeq', '');
            model.component('comp1').material('mat3').propertyGroup('ElectrodePotential').set('dEeqdT', '');
            model.component('comp1').material('mat3').propertyGroup('ElectrodePotential').set('cEeqref', '');
            model.component('comp1').material('mat3').propertyGroup('ElectrodePotential').set('Eeq', '');
            model.component('comp1').material('mat3').propertyGroup('ElectrodePotential').set('dEeqdT', '');
            model.component('comp1').material('mat3').propertyGroup('ElectrodePotential').set('cEeqref', '');
            model.component('comp1').material('mat3').propertyGroup('ElectrodePotential').set('Eeq', '');
            model.component('comp1').material('mat3').propertyGroup('ElectrodePotential').set('dEeqdT', '');
            model.component('comp1').material('mat3').propertyGroup('ElectrodePotential').set('cEeqref', '');
            model.component('comp1').material('mat3').propertyGroup('ElectrodePotential').set('Eeq', '');
            model.component('comp1').material('mat3').propertyGroup('ElectrodePotential').set('dEeqdT', '');
            model.component('comp1').material('mat3').propertyGroup('ElectrodePotential').set('cEeqref', '');
            model.component('comp1').material('mat3').propertyGroup('ElectrodePotential').set('Eeq', '');
            model.component('comp1').material('mat3').propertyGroup('ElectrodePotential').set('dEeqdT', '');
            model.component('comp1').material('mat3').propertyGroup('ElectrodePotential').set('cEeqref', '');
            model.component('comp1').material('mat3').propertyGroup('ElectrodePotential').set('Eeq', '');
            model.component('comp1').material('mat3').propertyGroup('ElectrodePotential').set('dEeqdT', '');
            model.component('comp1').material('mat3').propertyGroup('ElectrodePotential').set('cEeqref', '');
            model.component('comp1').material('mat3').propertyGroup('ElectrodePotential').set('Eeq', '');
            model.component('comp1').material('mat3').propertyGroup('ElectrodePotential').set('dEeqdT', '');
            model.component('comp1').material('mat3').propertyGroup('ElectrodePotential').set('cEeqref', '');
            model.component('comp1').material('mat3').propertyGroup('ElectrodePotential').set('Eeq', '');
            model.component('comp1').material('mat3').propertyGroup('ElectrodePotential').set('dEeqdT', '');
            model.component('comp1').material('mat3').propertyGroup('ElectrodePotential').set('cEeqref', '');
            model.component('comp1').material('mat3').propertyGroup('ElectrodePotential').set('Eeq', '');
            model.component('comp1').material('mat3').propertyGroup('ElectrodePotential').set('dEeqdT', '');
            model.component('comp1').material('mat3').propertyGroup('ElectrodePotential').set('cEeqref', '');
            model.component('comp1').material('mat3').propertyGroup('ElectrodePotential').set('Eeq', 'Eeq_vs_SHE');
            model.component('comp1').material('mat3').propertyGroup('ElectrodePotential').set('INFO_PREFIX:Eeq', 'E. Blasco-Tamarit, D. M. Garcia-Garcia, M. Ibanez Ferrandiz, J. Garcia Anton and A. Guenbour, "Corrosion resistance and galvanic coupling of UNS N08031 base metal, heat-affected zone, and weld metal in phosphoric acid at different temperatures", CORROSION, vol. 67, p. 035001-1, 2011.');
            model.component('comp1').material('mat3').propertyGroup('ElectrodePotential').set('dEeqdT', '0');
            model.component('comp1').material('mat3').propertyGroup('ElectrodePotential').set('cEeqref', '0');
            model.component('comp1').material('mat3').propertyGroup('ElectrodePotential').set('Eeq_vs_ref_exp', '-0.19 [V]');
            model.component('comp1').material('mat3').propertyGroup('ElectrodePotential').descr('Eeq_vs_ref_exp', 'Equilibrium (open circuit) potential vs. Ag/AgCl');
            model.component('comp1').material('mat3').propertyGroup('ElectrodePotential').set('E_ref_exp_vs_SHE', '0.197 [V]');
            model.component('comp1').material('mat3').propertyGroup('ElectrodePotential').descr('E_ref_exp_vs_SHE', 'Reference electrode potential in experiment vs. SHE');
            model.component('comp1').material('mat3').propertyGroup('ElectrodePotential').set('Eeq_vs_SHE', 'Eeq_vs_ref_exp+E_ref_exp_vs_SHE');
            model.component('comp1').material('mat3').propertyGroup('ElectrodePotential').descr('Eeq_vs_SHE', 'Equilibrium (open circuit) potential vs. SHE');
            model.component('comp1').material('mat3').propertyGroup('ElectrodePotential').addInput('concentration');
            model.component('comp1').material('mat3').propertyGroup('Enu').set('E', '');
            model.component('comp1').material('mat3').propertyGroup('Enu').set('nu', '');
            model.component('comp1').material('mat3').propertyGroup('Enu').set('E', '1.9e+11');
            model.component('comp1').material('mat3').propertyGroup('Enu').set('nu', '0.265');
            model.component('comp1').material('mat4').label('ISF');
            model.component('comp1').material('mat4').propertyGroup('def').set('density', '1000');
            model.component('comp1').material('mat4').propertyGroup('def').set('dynamicviscosity', '3.5e-3');
            model.component('comp1').material('mat5').active(false);
            model.component('comp1').material('mat5').label('Titanium [solid,annealed]');
            model.component('comp1').material('mat5').set('family', 'titanium');
            model.component('comp1').material('mat5').propertyGroup('def').func('k').set('arg', 'T');
            model.component('comp1').material('mat5').propertyGroup('def').func('k').set('pieces', {'0.0' '49.0' '1.47203494*T^1-0.00748788311*T^2+6.93238802E-4*T^3-3.09283072E-5*T^4+2.94008701E-7*T^5';  ...
                '49.0' '350.0' '60.278896-0.576939315*T^1+0.00429043707*T^2-1.81326748E-5*T^3+4.23859557E-8*T^4-5.09360595E-11*T^5+2.45315909E-14*T^6';  ...
                '350.0' '977.0' '64.7176575-0.361266955*T^1+0.00121955168*T^2-2.26082437E-6*T^3+2.38879699E-9*T^4-1.34012745E-12*T^5+3.09854262E-16*T^6';  ...
                '977.0' '1950.0' '12.3969792+0.0103457471*T^1-3.14407683E-6*T^2+1.07006076E-9*T^3'});
            model.component('comp1').material('mat5').propertyGroup('def').func('k').set('argunit', 'K');
            model.component('comp1').material('mat5').propertyGroup('def').func('k').set('fununit', 'W/(m*K)');
            model.component('comp1').material('mat5').propertyGroup('def').func('alpha_solid_1').set('arg', 'T');
            model.component('comp1').material('mat5').propertyGroup('def').func('alpha_solid_1').set('pieces', {'0.0' '1144.0' '5.034683E-6+2.527512E-8*T^1-7.155452E-11*T^2+1.068357E-13*T^3-7.796841E-17*T^4+2.218768E-20*T^5'});
            model.component('comp1').material('mat5').propertyGroup('def').func('alpha_solid_1').set('argunit', 'K');
            model.component('comp1').material('mat5').propertyGroup('def').func('alpha_solid_1').set('fununit', '1/K');
            model.component('comp1').material('mat5').propertyGroup('def').func('C_solid_1').label('Piecewise 2.1');
            model.component('comp1').material('mat5').propertyGroup('def').func('C_solid_1').set('arg', 'T');
            model.component('comp1').material('mat5').propertyGroup('def').func('C_solid_1').set('pieces', {'100.0' '300.0' '-167.746811+7.08658306*T^1-0.0297849253*T^2+6.04477124E-5*T^3-4.76258862E-8*T^4';  ...
                '300.0' '900.0' '464.052042+0.152465588*T^1+2.12593015E-4*T^2-1.72017085E-7*T^3';  ...
                '900.0' '1156.0' '-33066.629+136.77383*T^1-0.204810858*T^2+1.3350416E-4*T^3-3.17182178E-8*T^4';  ...
                '1156.0' '1944.0' '352.825758+0.123047884*T^1+6.65722934E-5*T^2'});
            model.component('comp1').material('mat5').propertyGroup('def').func('C_solid_1').set('argunit', 'K');
            model.component('comp1').material('mat5').propertyGroup('def').func('C_solid_1').set('fununit', 'J/(kg*K)');
            model.component('comp1').material('mat5').propertyGroup('def').func('HC_solid_1').label('Piecewise 3');
            model.component('comp1').material('mat5').propertyGroup('def').func('HC_solid_1').set('arg', 'T');
            model.component('comp1').material('mat5').propertyGroup('def').func('HC_solid_1').set('pieces', {'100.0' '300.0' '-8.03507075+0.339447334*T^1-0.00142669798*T^2+2.89544641E-6*T^3-2.28127956E-9*T^4';  ...
                '300.0' '900.0' '22.2281025+0.00730310087*T^1+1.01832033E-5*T^2-8.23961814E-9*T^3';  ...
                '900.0' '1156.0' '-1583.89169+6.55146619*T^1-0.00981044237*T^2+6.3948507E-6*T^3-1.51930245E-9*T^4';  ...
                '1156.0' '1944.0' '16.9003559+0.00589399243*T^1+3.18881259E-6*T^2'});
            model.component('comp1').material('mat5').propertyGroup('def').func('HC_solid_1').set('argunit', 'K');
            model.component('comp1').material('mat5').propertyGroup('def').func('HC_solid_1').set('fununit', 'J/(mol*K)');
            model.component('comp1').material('mat5').propertyGroup('def').func('VP_solid_1').label('Piecewise 4');
            model.component('comp1').material('mat5').propertyGroup('def').func('VP_solid_1').set('arg', 'T');
            model.component('comp1').material('mat5').propertyGroup('def').func('VP_solid_1').set('pieces', {'293.0' '1941.0' '(exp((-2.49910000e+04/T-1.33760000e+00*log10(T)+1.48058100e+01)*log(10.0)))*1.33320000e+02'});
            model.component('comp1').material('mat5').propertyGroup('def').func('VP_solid_1').set('argunit', 'K');
            model.component('comp1').material('mat5').propertyGroup('def').func('VP_solid_1').set('fununit', 'Pa');
            model.component('comp1').material('mat5').propertyGroup('def').func('rho_solid_1').label('Piecewise 5');
            model.component('comp1').material('mat5').propertyGroup('def').func('rho_solid_1').set('arg', 'T');
            model.component('comp1').material('mat5').propertyGroup('def').func('rho_solid_1').set('pieces', {'0.0' '20.0' '4520.168'; '20.0' '160.0' '4520.925-0.07042247*T^1+0.002149145*T^2-2.875466E-5*T^3+1.417353E-7*T^4-2.481938E-10*T^5'; '160.0' '1144.0' '4525.567-0.05296616*T^1-1.538843E-4*T^2+1.427212E-7*T^3-5.386443E-11*T^4'});
            model.component('comp1').material('mat5').propertyGroup('def').func('rho_solid_1').set('argunit', 'K');
            model.component('comp1').material('mat5').propertyGroup('def').func('rho_solid_1').set('fununit', 'kg/m^3');
            model.component('comp1').material('mat5').propertyGroup('def').func('TD').label('Piecewise 6');
            model.component('comp1').material('mat5').propertyGroup('def').func('TD').set('arg', 'T');
            model.component('comp1').material('mat5').propertyGroup('def').func('TD').set('pieces', {'247.0' '863.0' '2.220338E-5-8.696256E-8*T^1+1.863542E-10*T^2-1.807157E-13*T^3+6.620199E-17*T^4'});
            model.component('comp1').material('mat5').propertyGroup('def').func('TD').set('argunit', 'K');
            model.component('comp1').material('mat5').propertyGroup('def').func('TD').set('fununit', 'm^2/s');
            model.component('comp1').material('mat5').propertyGroup('def').set('thermalconductivity', {'k(T)' '0' '0' '0' 'k(T)' '0' '0' '0' 'k(T)'});
            model.component('comp1').material('mat5').propertyGroup('def').set('INFO_PREFIX:thermalconductivity', ['Reference: MIL-HDBK-5H, 1 Dec 1998 p5-9 and C.Y. Ho, R.W. Powell and P.E. Liley, Journal of Physical and Chemical Reference Data, v1, No. 2, p279 (1972) available online at https://srd.nist.gov/JPCRD/jpcrd7.pdf\nNote: Tmp near 1668C (1941K), well-annealed with residual resistivity of 1.9 uohm-cm, error is 15% to 20%']);
            model.component('comp1').material('mat5').propertyGroup('def').set('thermalexpansioncoefficient', {'(alpha_solid_1(T)+(Tempref-293[K])*if(abs(T-Tempref)>1e-3,(alpha_solid_1(T)-alpha_solid_1(Tempref))/(T-Tempref),d(alpha_solid_1(T),T)))/(1+alpha_solid_1(Tempref)*(Tempref-293[K]))' '0' '0' '0' '(alpha_solid_1(T)+(Tempref-293[K])*if(abs(T-Tempref)>1e-3,(alpha_solid_1(T)-alpha_solid_1(Tempref))/(T-Tempref),d(alpha_solid_1(T),T)))/(1+alpha_solid_1(Tempref)*(Tempref-293[K]))' '0' '0' '0' '(alpha_solid_1(T)+(Tempref-293[K])*if(abs(T-Tempref)>1e-3,(alpha_solid_1(T)-alpha_solid_1(Tempref))/(T-Tempref),d(alpha_solid_1(T),T)))/(1+alpha_solid_1(Tempref)*(Tempref-293[K]))'});
            model.component('comp1').material('mat5').propertyGroup('def').set('INFO_PREFIX:thermalexpansioncoefficient', ['Reference: H.L. Laquer, Low Temperature Thermal Expansion of Various Materials, ADA307613, Dec. 9 (1952) and MIL-HDBK-5H, 1 Dec 1998 p5-9\nNote: the reference temperature is 20C (293K), Tmp near 1668C (1941K), 8% error\nReference temperature: 293.00[K]']);
            model.component('comp1').material('mat5').propertyGroup('def').set('heatcapacity', 'C_solid_1(T)');
            model.component('comp1').material('mat5').propertyGroup('def').set('INFO_PREFIX:heatcapacity', ['Reference: B.J. McBride, S. Gordon and M.A. Reno, Thermodynamic Data for Fifty Reference Elements, NASA Technical Paper 3287 (1993) available online at https://ntrs.nasa.gov/archive/nasa/casi.ntrs.nasa.gov/20010021116.pdf\nNote: Tmp near 1668C (1941K), phase change near 883C (1156K)']);
            model.component('comp1').material('mat5').propertyGroup('def').set('HC', 'HC_solid_1(T)');
            model.component('comp1').material('mat5').propertyGroup('def').set('INFO_PREFIX:HC', ['Reference: B.J. McBride, S. Gordon and M.A. Reno, Thermodynamic Data for Fifty Reference Elements, NASA Technical Paper 3287 (1993) available online at https://ntrs.nasa.gov/archive/nasa/casi.ntrs.nasa.gov/20010021116.pdf\nNote: Tmp near 1668C (1941K), phase change near 883C (1156K)']);
            model.component('comp1').material('mat5').propertyGroup('def').set('VP', 'VP_solid_1(T)');
            model.component('comp1').material('mat5').propertyGroup('def').set('INFO_PREFIX:VP', ['Reference: C.B. Alcock, V.P. Itkin and M.K. Horrigan, Canadian Metallurgical Quarterly, v23, p309 (1984)\nNote: Tmp near 1668C (1941K), 5% error or less']);
            model.component('comp1').material('mat5').propertyGroup('def').set('density', 'rho_solid_1(T)');
            model.component('comp1').material('mat5').propertyGroup('def').set('INFO_PREFIX:density', ['Reference: H.L. Laquer, Low Temperature Thermal Expansion of Various Materials, ADA307613, Dec. 9 (1952) and MIL-HDBK-5H, 1 Dec 1998 p5-9\nNote: Tmp near 1668C (1941K)']);
            model.component('comp1').material('mat5').propertyGroup('def').set('TD', 'TD(T)');
            model.component('comp1').material('mat5').propertyGroup('def').set('INFO_PREFIX:TD', ['Reference: N.D. Milosevic and K.D. Maglic, High Temperatures-High Pressures, v37, No. 3, p187 (2008)\nNote: Tmp near 1668C (1941K)']);
            model.component('comp1').material('mat5').propertyGroup('def').addInput('temperature');
            model.component('comp1').material('mat5').propertyGroup('def').addInput('strainreferencetemperature');
            model.component('comp1').material('mat5').propertyGroup('ThermalExpansion').func('dL_solid_1').label('Piecewise');
            model.component('comp1').material('mat5').propertyGroup('ThermalExpansion').func('dL_solid_1').set('arg', 'T');
            model.component('comp1').material('mat5').propertyGroup('ThermalExpansion').func('dL_solid_1').set('pieces', {'0.0' '60.0' '-0.00149093743-2.5E-8*T^1+6.25E-9*T^2'; '60.0' '200.0' '-0.00174469267+2.06346114E-5*T^1-6.15632414E-7*T^2+8.73680313E-9*T^3-6.02408298E-11*T^4+2.04927885E-13*T^5-2.74884259E-16*T^6'; '200.0' '1144.0' '-0.00130828925-4.72948429E-6*T^1+5.74408148E-8*T^2-1.25795799E-10*T^3+1.50784011E-13*T^4-9.19119542E-17*T^5+2.2474283E-20*T^6'});
            model.component('comp1').material('mat5').propertyGroup('ThermalExpansion').func('dL_solid_1').set('argunit', 'K');
            model.component('comp1').material('mat5').propertyGroup('ThermalExpansion').set('alphatan', '');
            model.component('comp1').material('mat5').propertyGroup('ThermalExpansion').set('dL', {'(dL_solid_1(T)-dL_solid_1(Tempref))/(1+dL_solid_1(Tempref))' '0' '0' '0' '(dL_solid_1(T)-dL_solid_1(Tempref))/(1+dL_solid_1(Tempref))' '0' '0' '0' '(dL_solid_1(T)-dL_solid_1(Tempref))/(1+dL_solid_1(Tempref))'});
            model.component('comp1').material('mat5').propertyGroup('ThermalExpansion').set('INFO_PREFIX:dL', ['Reference: H.L. Laquer, Low Temperature Thermal Expansion of Various Materials, ADA307613, Dec. 9 (1952) and MIL-HDBK-5H, 1 Dec 1998 p5-9\nNote: the reference temperature is 20C (293K), Tmp near 1668C (1941K)\nReference temperature: 293.00[K]']);
            model.component('comp1').material('mat5').propertyGroup('ThermalExpansion').addInput('temperature');
            model.component('comp1').material('mat5').propertyGroup('ThermalExpansion').addInput('strainreferencetemperature');
            model.component('comp1').material('mat5').propertyGroup('Enu').func('E').set('arg', 'T');
            model.component('comp1').material('mat5').propertyGroup('Enu').func('E').set('pieces', {'93.0' '293.0' '1.263539E11-4.823066E7*T^1-32810.22*T^2'; '293.0' '1073.0' '1.267923E11-5.931971E7*T^1'});
            model.component('comp1').material('mat5').propertyGroup('Enu').func('E').set('argunit', 'K');
            model.component('comp1').material('mat5').propertyGroup('Enu').func('E').set('fununit', 'Pa');
            model.component('comp1').material('mat5').propertyGroup('Enu').func('nu').label('Piecewise 1');
            model.component('comp1').material('mat5').propertyGroup('Enu').func('nu').set('arg', 'T');
            model.component('comp1').material('mat5').propertyGroup('Enu').func('nu').set('pieces', {'293.0' '1073.0' '0.3207911+6.715403E-5*T^1-4.131016E-8*T^2+5.510325E-11*T^3'});
            model.component('comp1').material('mat5').propertyGroup('Enu').func('nu').set('argunit', 'K');
            model.component('comp1').material('mat5').propertyGroup('Enu').set('E', '');
            model.component('comp1').material('mat5').propertyGroup('Enu').set('nu', '');
            model.component('comp1').material('mat5').propertyGroup('Enu').set('E', 'E(T)');
            model.component('comp1').material('mat5').propertyGroup('Enu').set('INFO_PREFIX:E', ['Reference: O.N. Senkov, M. Dubois and J.J. Jonas, Metallurgical Transactions A, v27A, No. 12, p3963 (1996) and W. Koester, Zeitschrift fuer Metallkunde, v39, No. 1, p1 (1948)\nNote: Tmp near 1668C (1941K), values below 25C (298K) were decreased by 2% to match the high temperature values, bal. Ti, 0.426 Al, 0.255 V, 0.058 Fe, 0.067 C, 0.011 O, 0.001 N, 0.0005 H (at%)']);
            model.component('comp1').material('mat5').propertyGroup('Enu').set('nu', 'nu(T)');
            model.component('comp1').material('mat5').propertyGroup('Enu').set('INFO_PREFIX:nu', ['Reference: N.J. Simon, E.S. Drexler and R.P. Reed, NIST Monograph 177, Properties of Copper and Copper Alloys at Cryogenic Temperatures (1992) available online at https://nvlpubs.nist.gov/nistpubs/Legacy/MONO/nistmonograph177.pdf\nNote: Tmp near 1668C (1941K), calculated from E and mu, errors may be large']);
            model.component('comp1').material('mat5').propertyGroup('Enu').addInput('temperature');
            model.component('comp1').material('mat5').propertyGroup('KG').func('mu').set('arg', 'T');
            model.component('comp1').material('mat5').propertyGroup('KG').func('mu').set('pieces', {'293.0' '1073.0' '4.783492E10-2.376622E7*T^1'});
            model.component('comp1').material('mat5').propertyGroup('KG').func('mu').set('argunit', 'K');
            model.component('comp1').material('mat5').propertyGroup('KG').func('mu').set('fununit', 'Pa');
            model.component('comp1').material('mat5').propertyGroup('KG').func('kappa').label('Piecewise 1');
            model.component('comp1').material('mat5').propertyGroup('KG').func('kappa').set('arg', 'T');
            model.component('comp1').material('mat5').propertyGroup('KG').func('kappa').set('pieces', {'293.0' '1073.0' '1.056124E11+4.642769E7*T^1-82798.6*T^2'});
            model.component('comp1').material('mat5').propertyGroup('KG').func('kappa').set('argunit', 'K');
            model.component('comp1').material('mat5').propertyGroup('KG').func('kappa').set('fununit', 'Pa');
            model.component('comp1').material('mat5').propertyGroup('KG').set('K', '');
            model.component('comp1').material('mat5').propertyGroup('KG').set('G', '');
            model.component('comp1').material('mat5').propertyGroup('KG').set('K', 'kappa(T)');
            model.component('comp1').material('mat5').propertyGroup('KG').set('INFO_PREFIX:K', ['Reference: N.J. Simon, E.S. Drexler and R.P. Reed, NIST Monograph 177, Properties of Copper and Copper Alloys at Cryogenic Temperatures (1992) available online at https://nvlpubs.nist.gov/nistpubs/Legacy/MONO/nistmonograph177.pdf\nNote: Tmp near 1668C (1941K), calculated from E and mu, errors may be large']);
            model.component('comp1').material('mat5').propertyGroup('KG').set('G', 'mu(T)');
            model.component('comp1').material('mat5').propertyGroup('KG').set('INFO_PREFIX:G', ['Reference: O.N. Senkov, M. Dubois and J.J. Jonas, Metallurgical Transactions A, v27A, No. 12, p3963 (1996)\nNote: Tmp near 1668C (1941K), bal. Ti, 0.426 Al, 0.255 V, 0.058 Fe, 0.067 C, 0.011 O, 0.001 N, 0.0005 H (at%)']);
            model.component('comp1').material('mat5').propertyGroup('KG').addInput('temperature');
            model.component('comp1').material('mat6').label(['Ni-Fe (Nickel-iron alloy, Permalloy) (Tikui' native2unicode(hex2dec({'01' '61'}), 'unicode') 'is et al. 2017: n,k 0.193-1.69 um; gold-coated, 150 nm)']);
            model.component('comp1').material('mat6').propertyGroup('RefractiveIndex').func('int1').set('funcname', 'nr');
            model.component('comp1').material('mat6').propertyGroup('RefractiveIndex').func('int1').set('table', {'0.1930' '0.8395';  ...
                '0.1940' '0.8469';  ...
                '0.1950' '0.8543';  ...
                '0.1960' '0.8618';  ...
                '0.1970' '0.8694';  ...
                '0.1980' '0.8771';  ...
                '0.1990' '0.8848';  ...
                '0.2000' '0.8926';  ...
                '0.2010' '0.9004';  ...
                '0.2020' '0.9082';  ...
                '0.2030' '0.9161';  ...
                '0.2040' '0.9240';  ...
                '0.2050' '0.9319';  ...
                '0.2060' '0.9399';  ...
                '0.2070' '0.9478';  ...
                '0.2080' '0.9558';  ...
                '0.2090' '0.9638';  ...
                '0.2100' '0.9718';  ...
                '0.2110' '0.9797';  ...
                '0.2120' '0.9877';  ...
                '0.2130' '0.9956';  ...
                '0.2140' '1.0035';  ...
                '0.2150' '1.0114';  ...
                '0.2160' '1.0193';  ...
                '0.2170' '1.0271';  ...
                '0.2180' '1.0349';  ...
                '0.2190' '1.0426';  ...
                '0.2200' '1.0503';  ...
                '0.2210' '1.0579';  ...
                '0.2220' '1.0654';  ...
                '0.2230' '1.0729';  ...
                '0.2240' '1.0803';  ...
                '0.2250' '1.0876';  ...
                '0.2260' '1.0949';  ...
                '0.2270' '1.1021';  ...
                '0.2280' '1.1092';  ...
                '0.2290' '1.1162';  ...
                '0.2300' '1.1231';  ...
                '0.2310' '1.1299';  ...
                '0.2320' '1.1366';  ...
                '0.2330' '1.1432';  ...
                '0.2340' '1.1497';  ...
                '0.2350' '1.1561';  ...
                '0.2360' '1.1624';  ...
                '0.2370' '1.1685';  ...
                '0.2380' '1.1746';  ...
                '0.2390' '1.1806';  ...
                '0.2400' '1.1864';  ...
                '0.2410' '1.1921';  ...
                '0.2420' '1.1977';  ...
                '0.2430' '1.2032';  ...
                '0.2440' '1.2086';  ...
                '0.2450' '1.2139';  ...
                '0.2460' '1.2190';  ...
                '0.2470' '1.2240';  ...
                '0.2480' '1.2290';  ...
                '0.2490' '1.2338';  ...
                '0.2500' '1.2384';  ...
                '0.2510' '1.2430';  ...
                '0.2520' '1.2475';  ...
                '0.2530' '1.2518';  ...
                '0.2540' '1.2561';  ...
                '0.2550' '1.2602';  ...
                '0.2560' '1.2642';  ...
                '0.2570' '1.2682';  ...
                '0.2580' '1.2720';  ...
                '0.2590' '1.2757';  ...
                '0.2600' '1.2794';  ...
                '0.2610' '1.2829';  ...
                '0.2620' '1.2864';  ...
                '0.2630' '1.2897';  ...
                '0.2640' '1.2930';  ...
                '0.2650' '1.2962';  ...
                '0.2660' '1.2993';  ...
                '0.2670' '1.3023';  ...
                '0.2680' '1.3053';  ...
                '0.2690' '1.3081';  ...
                '0.2700' '1.3109';  ...
                '0.2710' '1.3137';  ...
                '0.2720' '1.3163';  ...
                '0.2730' '1.3189';  ...
                '0.2740' '1.3215';  ...
                '0.2750' '1.3240';  ...
                '0.2760' '1.3264';  ...
                '0.2770' '1.3288';  ...
                '0.2780' '1.3311';  ...
                '0.2790' '1.3333';  ...
                '0.2800' '1.3356';  ...
                '0.2810' '1.3378';  ...
                '0.2820' '1.3399';  ...
                '0.2830' '1.3420';  ...
                '0.2840' '1.3441';  ...
                '0.2850' '1.3461';  ...
                '0.2860' '1.3481';  ...
                '0.2870' '1.3501';  ...
                '0.2880' '1.3520';  ...
                '0.2890' '1.3539';  ...
                '0.2900' '1.3558';  ...
                '0.2910' '1.3577';  ...
                '0.2920' '1.3595';  ...
                '0.2930' '1.3614';  ...
                '0.2940' '1.3632';  ...
                '0.2950' '1.3650';  ...
                '0.2960' '1.3668';  ...
                '0.2970' '1.3686';  ...
                '0.2980' '1.3703';  ...
                '0.2990' '1.3721';  ...
                '0.3000' '1.3738';  ...
                '0.3010' '1.3756';  ...
                '0.3020' '1.3773';  ...
                '0.3030' '1.3790';  ...
                '0.3040' '1.3808';  ...
                '0.3050' '1.3825';  ...
                '0.3060' '1.3842';  ...
                '0.3070' '1.3860';  ...
                '0.3080' '1.3877';  ...
                '0.3090' '1.3895';  ...
                '0.3100' '1.3912';  ...
                '0.3110' '1.3929';  ...
                '0.3120' '1.3947';  ...
                '0.3130' '1.3965';  ...
                '0.3140' '1.3982';  ...
                '0.3150' '1.4000';  ...
                '0.3160' '1.4018';  ...
                '0.3170' '1.4036';  ...
                '0.3180' '1.4054';  ...
                '0.3190' '1.4072';  ...
                '0.3200' '1.4090';  ...
                '0.3210' '1.4109';  ...
                '0.3220' '1.4127';  ...
                '0.3230' '1.4146';  ...
                '0.3240' '1.4164';  ...
                '0.3250' '1.4183';  ...
                '0.3260' '1.4202';  ...
                '0.3270' '1.4221';  ...
                '0.3280' '1.4241';  ...
                '0.3290' '1.4260';  ...
                '0.3300' '1.4280';  ...
                '0.3310' '1.4300';  ...
                '0.3320' '1.4319';  ...
                '0.3330' '1.4340';  ...
                '0.3340' '1.4360';  ...
                '0.3350' '1.4380';  ...
                '0.3360' '1.4401';  ...
                '0.3370' '1.4421';  ...
                '0.3380' '1.4442';  ...
                '0.3390' '1.4463';  ...
                '0.3400' '1.4484';  ...
                '0.3410' '1.4506';  ...
                '0.3420' '1.4527';  ...
                '0.3430' '1.4549';  ...
                '0.3440' '1.4571';  ...
                '0.3450' '1.4593';  ...
                '0.3460' '1.4615';  ...
                '0.3470' '1.4637';  ...
                '0.3480' '1.4660';  ...
                '0.3490' '1.4682';  ...
                '0.3500' '1.4705';  ...
                '0.3510' '1.4728';  ...
                '0.3520' '1.4751';  ...
                '0.3530' '1.4775';  ...
                '0.3540' '1.4798';  ...
                '0.3550' '1.4822';  ...
                '0.3560' '1.4846';  ...
                '0.3570' '1.4870';  ...
                '0.3580' '1.4894';  ...
                '0.3590' '1.4918';  ...
                '0.3600' '1.4942';  ...
                '0.3610' '1.4967';  ...
                '0.3620' '1.4992';  ...
                '0.3630' '1.5017';  ...
                '0.3640' '1.5042';  ...
                '0.3650' '1.5067';  ...
                '0.3660' '1.5092';  ...
                '0.3670' '1.5118';  ...
                '0.3680' '1.5143';  ...
                '0.3690' '1.5169';  ...
                '0.3700' '1.5195';  ...
                '0.3710' '1.5221';  ...
                '0.3720' '1.5248';  ...
                '0.3730' '1.5274';  ...
                '0.3740' '1.5300';  ...
                '0.3750' '1.5327';  ...
                '0.3760' '1.5354';  ...
                '0.3770' '1.5381';  ...
                '0.3780' '1.5408';  ...
                '0.3790' '1.5435';  ...
                '0.3800' '1.5462';  ...
                '0.3810' '1.5490';  ...
                '0.3820' '1.5517';  ...
                '0.3830' '1.5545';  ...
                '0.3840' '1.5573';  ...
                '0.3850' '1.5601';  ...
                '0.3860' '1.5629';  ...
                '0.3870' '1.5657';  ...
                '0.3880' '1.5685';  ...
                '0.3890' '1.5714';  ...
                '0.3900' '1.5742';  ...
                '0.3910' '1.5771';  ...
                '0.3920' '1.5800';  ...
                '0.3930' '1.5829';  ...
                '0.3940' '1.5858';  ...
                '0.3950' '1.5887';  ...
                '0.3960' '1.5916';  ...
                '0.3970' '1.5945';  ...
                '0.3980' '1.5975';  ...
                '0.3990' '1.6004';  ...
                '0.4000' '1.6034';  ...
                '0.4010' '1.6063';  ...
                '0.4020' '1.6093';  ...
                '0.4030' '1.6123';  ...
                '0.4040' '1.6153';  ...
                '0.4050' '1.6183';  ...
                '0.4060' '1.6213';  ...
                '0.4070' '1.6244';  ...
                '0.4080' '1.6274';  ...
                '0.4090' '1.6304';  ...
                '0.4100' '1.6335';  ...
                '0.4110' '1.6365';  ...
                '0.4120' '1.6396';  ...
                '0.4130' '1.6427';  ...
                '0.4140' '1.6458';  ...
                '0.4150' '1.6489';  ...
                '0.4160' '1.6520';  ...
                '0.4170' '1.6551';  ...
                '0.4180' '1.6582';  ...
                '0.4190' '1.6613';  ...
                '0.4200' '1.6645';  ...
                '0.4210' '1.6676';  ...
                '0.4220' '1.6707';  ...
                '0.4230' '1.6739';  ...
                '0.4240' '1.6771';  ...
                '0.4250' '1.6802';  ...
                '0.4260' '1.6834';  ...
                '0.4270' '1.6866';  ...
                '0.4280' '1.6898';  ...
                '0.4290' '1.6930';  ...
                '0.4300' '1.6962';  ...
                '0.4310' '1.6994';  ...
                '0.4320' '1.7026';  ...
                '0.4330' '1.7058';  ...
                '0.4340' '1.7090';  ...
                '0.4350' '1.7122';  ...
                '0.4360' '1.7155';  ...
                '0.4370' '1.7187';  ...
                '0.4380' '1.7220';  ...
                '0.4390' '1.7252';  ...
                '0.4400' '1.7285';  ...
                '0.4410' '1.7317';  ...
                '0.4420' '1.7350';  ...
                '0.4430' '1.7383';  ...
                '0.4440' '1.7415';  ...
                '0.4450' '1.7448';  ...
                '0.4460' '1.7481';  ...
                '0.4470' '1.7514';  ...
                '0.4480' '1.7547';  ...
                '0.4490' '1.7580';  ...
                '0.4500' '1.7613';  ...
                '0.4510' '1.7646';  ...
                '0.4520' '1.7679';  ...
                '0.4530' '1.7712';  ...
                '0.4540' '1.7745';  ...
                '0.4550' '1.7779';  ...
                '0.4560' '1.7812';  ...
                '0.4570' '1.7845';  ...
                '0.4580' '1.7878';  ...
                '0.4590' '1.7912';  ...
                '0.4600' '1.7945';  ...
                '0.4610' '1.7979';  ...
                '0.4620' '1.8012';  ...
                '0.4630' '1.8046';  ...
                '0.4640' '1.8079';  ...
                '0.4650' '1.8113';  ...
                '0.4660' '1.8146';  ...
                '0.4670' '1.8180';  ...
                '0.4680' '1.8214';  ...
                '0.4690' '1.8247';  ...
                '0.4700' '1.8281';  ...
                '0.4710' '1.8315';  ...
                '0.4720' '1.8348';  ...
                '0.4730' '1.8382';  ...
                '0.4740' '1.8416';  ...
                '0.4750' '1.8450';  ...
                '0.4760' '1.8484';  ...
                '0.4770' '1.8518';  ...
                '0.4780' '1.8551';  ...
                '0.4790' '1.8585';  ...
                '0.4800' '1.8619';  ...
                '0.4810' '1.8653';  ...
                '0.4820' '1.8687';  ...
                '0.4830' '1.8721';  ...
                '0.4840' '1.8755';  ...
                '0.4850' '1.8789';  ...
                '0.4860' '1.8823';  ...
                '0.4870' '1.8857';  ...
                '0.4880' '1.8891';  ...
                '0.4890' '1.8925';  ...
                '0.4900' '1.8960';  ...
                '0.4910' '1.8994';  ...
                '0.4920' '1.9028';  ...
                '0.4930' '1.9062';  ...
                '0.4940' '1.9096';  ...
                '0.4950' '1.9130';  ...
                '0.4960' '1.9165';  ...
                '0.4970' '1.9199';  ...
                '0.4980' '1.9233';  ...
                '0.4990' '1.9267';  ...
                '0.5000' '1.9301';  ...
                '0.5010' '1.9336';  ...
                '0.5020' '1.9370';  ...
                '0.5030' '1.9404';  ...
                '0.5040' '1.9438';  ...
                '0.5050' '1.9473';  ...
                '0.5060' '1.9507';  ...
                '0.5070' '1.9541';  ...
                '0.5080' '1.9575';  ...
                '0.5090' '1.9610';  ...
                '0.5100' '1.9644';  ...
                '0.5110' '1.9678';  ...
                '0.5120' '1.9713';  ...
                '0.5130' '1.9747';  ...
                '0.5140' '1.9781';  ...
                '0.5150' '1.9816';  ...
                '0.5160' '1.9850';  ...
                '0.5170' '1.9884';  ...
                '0.5180' '1.9919';  ...
                '0.5190' '1.9953';  ...
                '0.5200' '1.9987';  ...
                '0.5210' '2.0022';  ...
                '0.5220' '2.0056';  ...
                '0.5230' '2.0090';  ...
                '0.5240' '2.0125';  ...
                '0.5250' '2.0159';  ...
                '0.5260' '2.0193';  ...
                '0.5270' '2.0228';  ...
                '0.5280' '2.0262';  ...
                '0.5290' '2.0296';  ...
                '0.5300' '2.0331';  ...
                '0.5310' '2.0365';  ...
                '0.5320' '2.0399';  ...
                '0.5330' '2.0434';  ...
                '0.5340' '2.0468';  ...
                '0.5350' '2.0502';  ...
                '0.5360' '2.0536';  ...
                '0.5370' '2.0571';  ...
                '0.5380' '2.0605';  ...
                '0.5390' '2.0639';  ...
                '0.5400' '2.0674';  ...
                '0.5410' '2.0708';  ...
                '0.5420' '2.0742';  ...
                '0.5430' '2.0777';  ...
                '0.5440' '2.0811';  ...
                '0.5450' '2.0845';  ...
                '0.5460' '2.0879';  ...
                '0.5470' '2.0914';  ...
                '0.5480' '2.0948';  ...
                '0.5490' '2.0982';  ...
                '0.5500' '2.1016';  ...
                '0.5510' '2.1051';  ...
                '0.5520' '2.1085';  ...
                '0.5530' '2.1119';  ...
                '0.5540' '2.1153';  ...
                '0.5550' '2.1187';  ...
                '0.5560' '2.1222';  ...
                '0.5570' '2.1256';  ...
                '0.5580' '2.1290';  ...
                '0.5590' '2.1324';  ...
                '0.5600' '2.1358';  ...
                '0.5610' '2.1392';  ...
                '0.5620' '2.1426';  ...
                '0.5630' '2.1461';  ...
                '0.5640' '2.1495';  ...
                '0.5650' '2.1529';  ...
                '0.5660' '2.1563';  ...
                '0.5670' '2.1597';  ...
                '0.5680' '2.1631';  ...
                '0.5690' '2.1665';  ...
                '0.5700' '2.1699';  ...
                '0.5710' '2.1733';  ...
                '0.5720' '2.1767';  ...
                '0.5730' '2.1801';  ...
                '0.5740' '2.1835';  ...
                '0.5750' '2.1869';  ...
                '0.5760' '2.1903';  ...
                '0.5770' '2.1937';  ...
                '0.5780' '2.1971';  ...
                '0.5790' '2.2005';  ...
                '0.5800' '2.2039';  ...
                '0.5810' '2.2073';  ...
                '0.5820' '2.2106';  ...
                '0.5830' '2.2140';  ...
                '0.5840' '2.2174';  ...
                '0.5850' '2.2208';  ...
                '0.5860' '2.2242';  ...
                '0.5870' '2.2276';  ...
                '0.5880' '2.2309';  ...
                '0.5890' '2.2343';  ...
                '0.5900' '2.2377';  ...
                '0.5910' '2.2411';  ...
                '0.5920' '2.2445';  ...
                '0.5930' '2.2478';  ...
                '0.5940' '2.2512';  ...
                '0.5950' '2.2546';  ...
                '0.5960' '2.2579';  ...
                '0.5970' '2.2613';  ...
                '0.5980' '2.2647';  ...
                '0.5990' '2.2680';  ...
                '0.6000' '2.2714';  ...
                '0.6010' '2.2747';  ...
                '0.6020' '2.2781';  ...
                '0.6030' '2.2815';  ...
                '0.6040' '2.2848';  ...
                '0.6050' '2.2882';  ...
                '0.6060' '2.2915';  ...
                '0.6070' '2.2949';  ...
                '0.6080' '2.2982';  ...
                '0.6090' '2.3016';  ...
                '0.6100' '2.3049';  ...
                '0.6110' '2.3083';  ...
                '0.6120' '2.3116';  ...
                '0.6130' '2.3149';  ...
                '0.6140' '2.3183';  ...
                '0.6150' '2.3216';  ...
                '0.6160' '2.3249';  ...
                '0.6170' '2.3283';  ...
                '0.6180' '2.3316';  ...
                '0.6190' '2.3349';  ...
                '0.6200' '2.3383';  ...
                '0.6210' '2.3416';  ...
                '0.6220' '2.3449';  ...
                '0.6230' '2.3482';  ...
                '0.6240' '2.3515';  ...
                '0.6250' '2.3549';  ...
                '0.6260' '2.3582';  ...
                '0.6270' '2.3615';  ...
                '0.6280' '2.3648';  ...
                '0.6290' '2.3681';  ...
                '0.6300' '2.3714';  ...
                '0.6310' '2.3747';  ...
                '0.6320' '2.3780';  ...
                '0.6330' '2.3813';  ...
                '0.6340' '2.3846';  ...
                '0.6350' '2.3879';  ...
                '0.6360' '2.3912';  ...
                '0.6370' '2.3945';  ...
                '0.6380' '2.3978';  ...
                '0.6390' '2.4011';  ...
                '0.6400' '2.4044';  ...
                '0.6410' '2.4077';  ...
                '0.6420' '2.4110';  ...
                '0.6430' '2.4142';  ...
                '0.6440' '2.4175';  ...
                '0.6450' '2.4208';  ...
                '0.6460' '2.4241';  ...
                '0.6470' '2.4273';  ...
                '0.6480' '2.4306';  ...
                '0.6490' '2.4339';  ...
                '0.6500' '2.4371';  ...
                '0.6510' '2.4404';  ...
                '0.6520' '2.4437';  ...
                '0.6530' '2.4469';  ...
                '0.6540' '2.4502';  ...
                '0.6550' '2.4535';  ...
                '0.6560' '2.4567';  ...
                '0.6570' '2.4600';  ...
                '0.6580' '2.4632';  ...
                '0.6590' '2.4665';  ...
                '0.6600' '2.4697';  ...
                '0.6610' '2.4730';  ...
                '0.6620' '2.4762';  ...
                '0.6630' '2.4794';  ...
                '0.6640' '2.4827';  ...
                '0.6650' '2.4859';  ...
                '0.6660' '2.4891';  ...
                '0.6670' '2.4924';  ...
                '0.6680' '2.4956';  ...
                '0.6690' '2.4988';  ...
                '0.6700' '2.5021';  ...
                '0.6710' '2.5053';  ...
                '0.6720' '2.5085';  ...
                '0.6730' '2.5117';  ...
                '0.6740' '2.5149';  ...
                '0.6750' '2.5182';  ...
                '0.6760' '2.5214';  ...
                '0.6770' '2.5246';  ...
                '0.6780' '2.5278';  ...
                '0.6790' '2.5310';  ...
                '0.6800' '2.5342';  ...
                '0.6810' '2.5374';  ...
                '0.6820' '2.5406';  ...
                '0.6830' '2.5438';  ...
                '0.6840' '2.5470';  ...
                '0.6850' '2.5502';  ...
                '0.6860' '2.5534';  ...
                '0.6870' '2.5566';  ...
                '0.6880' '2.5597';  ...
                '0.6890' '2.5629';  ...
                '0.6900' '2.5661';  ...
                '0.6910' '2.5693';  ...
                '0.6920' '2.5725';  ...
                '0.6930' '2.5756';  ...
                '0.6940' '2.5788';  ...
                '0.6950' '2.5820';  ...
                '0.6960' '2.5852';  ...
                '0.6970' '2.5883';  ...
                '0.6980' '2.5915';  ...
                '0.6990' '2.5946';  ...
                '0.7000' '2.5978';  ...
                '0.7010' '2.6010';  ...
                '0.7020' '2.6041';  ...
                '0.7030' '2.6073';  ...
                '0.7040' '2.6104';  ...
                '0.7050' '2.6136';  ...
                '0.7060' '2.6167';  ...
                '0.7070' '2.6199';  ...
                '0.7080' '2.6230';  ...
                '0.7090' '2.6261';  ...
                '0.7100' '2.6293';  ...
                '0.7110' '2.6324';  ...
                '0.7120' '2.6355';  ...
                '0.7130' '2.6387';  ...
                '0.7140' '2.6418';  ...
                '0.7150' '2.6449';  ...
                '0.7160' '2.6481';  ...
                '0.7170' '2.6512';  ...
                '0.7180' '2.6543';  ...
                '0.7190' '2.6574';  ...
                '0.7200' '2.6605';  ...
                '0.7210' '2.6636';  ...
                '0.7220' '2.6667';  ...
                '0.7230' '2.6699';  ...
                '0.7240' '2.6730';  ...
                '0.7250' '2.6761';  ...
                '0.7260' '2.6792';  ...
                '0.7270' '2.6823';  ...
                '0.7280' '2.6854';  ...
                '0.7290' '2.6884';  ...
                '0.7300' '2.6915';  ...
                '0.7310' '2.6946';  ...
                '0.7320' '2.6977';  ...
                '0.7330' '2.7008';  ...
                '0.7340' '2.7039';  ...
                '0.7350' '2.7070';  ...
                '0.7360' '2.7100';  ...
                '0.7370' '2.7131';  ...
                '0.7380' '2.7162';  ...
                '0.7390' '2.7193';  ...
                '0.7400' '2.7223';  ...
                '0.7410' '2.7254';  ...
                '0.7420' '2.7285';  ...
                '0.7430' '2.7315';  ...
                '0.7440' '2.7346';  ...
                '0.7450' '2.7376';  ...
                '0.7460' '2.7407';  ...
                '0.7470' '2.7438';  ...
                '0.7480' '2.7468';  ...
                '0.7490' '2.7498';  ...
                '0.7500' '2.7529';  ...
                '0.7510' '2.7559';  ...
                '0.7520' '2.7590';  ...
                '0.7530' '2.7620';  ...
                '0.7540' '2.7651';  ...
                '0.7550' '2.7681';  ...
                '0.7560' '2.7711';  ...
                '0.7570' '2.7742';  ...
                '0.7580' '2.7772';  ...
                '0.7590' '2.7802';  ...
                '0.7600' '2.7832';  ...
                '0.7610' '2.7863';  ...
                '0.7620' '2.7893';  ...
                '0.7630' '2.7923';  ...
                '0.7640' '2.7953';  ...
                '0.7650' '2.7983';  ...
                '0.7660' '2.8013';  ...
                '0.7670' '2.8043';  ...
                '0.7680' '2.8073';  ...
                '0.7690' '2.8103';  ...
                '0.7700' '2.8133';  ...
                '0.7710' '2.8163';  ...
                '0.7720' '2.8193';  ...
                '0.7730' '2.8223';  ...
                '0.7740' '2.8253';  ...
                '0.7750' '2.8283';  ...
                '0.7760' '2.8313';  ...
                '0.7770' '2.8343';  ...
                '0.7780' '2.8373';  ...
                '0.7790' '2.8402';  ...
                '0.7800' '2.8432';  ...
                '0.7810' '2.8462';  ...
                '0.7820' '2.8492';  ...
                '0.7830' '2.8521';  ...
                '0.7840' '2.8551';  ...
                '0.7850' '2.8581';  ...
                '0.7860' '2.8610';  ...
                '0.7870' '2.8640';  ...
                '0.7880' '2.8670';  ...
                '0.7890' '2.8699';  ...
                '0.7900' '2.8729';  ...
                '0.7910' '2.8758';  ...
                '0.7920' '2.8788';  ...
                '0.7930' '2.8817';  ...
                '0.7940' '2.8847';  ...
                '0.7950' '2.8876';  ...
                '0.7960' '2.8906';  ...
                '0.7970' '2.8935';  ...
                '0.7980' '2.8964';  ...
                '0.7990' '2.8994';  ...
                '0.8000' '2.9023';  ...
                '0.8010' '2.9052';  ...
                '0.8020' '2.9082';  ...
                '0.8030' '2.9111';  ...
                '0.8040' '2.9140';  ...
                '0.8050' '2.9169';  ...
                '0.8060' '2.9199';  ...
                '0.8070' '2.9228';  ...
                '0.8080' '2.9257';  ...
                '0.8090' '2.9286';  ...
                '0.8100' '2.9315';  ...
                '0.8110' '2.9344';  ...
                '0.8120' '2.9373';  ...
                '0.8130' '2.9402';  ...
                '0.8140' '2.9431';  ...
                '0.8150' '2.9460';  ...
                '0.8160' '2.9489';  ...
                '0.8170' '2.9518';  ...
                '0.8180' '2.9547';  ...
                '0.8190' '2.9576';  ...
                '0.8200' '2.9605';  ...
                '0.8210' '2.9634';  ...
                '0.8220' '2.9663';  ...
                '0.8230' '2.9692';  ...
                '0.8240' '2.9720';  ...
                '0.8250' '2.9749';  ...
                '0.8260' '2.9778';  ...
                '0.8270' '2.9807';  ...
                '0.8280' '2.9835';  ...
                '0.8290' '2.9864';  ...
                '0.8300' '2.9893';  ...
                '0.8310' '2.9921';  ...
                '0.8320' '2.9950';  ...
                '0.8330' '2.9978';  ...
                '0.8340' '3.0007';  ...
                '0.8350' '3.0036';  ...
                '0.8360' '3.0064';  ...
                '0.8370' '3.0093';  ...
                '0.8380' '3.0121';  ...
                '0.8390' '3.0150';  ...
                '0.8400' '3.0178';  ...
                '0.8410' '3.0206';  ...
                '0.8420' '3.0235';  ...
                '0.8430' '3.0263';  ...
                '0.8440' '3.0292';  ...
                '0.8450' '3.0320';  ...
                '0.8460' '3.0348';  ...
                '0.8470' '3.0377';  ...
                '0.8480' '3.0405';  ...
                '0.8490' '3.0433';  ...
                '0.8500' '3.0461';  ...
                '0.8510' '3.0490';  ...
                '0.8520' '3.0518';  ...
                '0.8530' '3.0546';  ...
                '0.8540' '3.0574';  ...
                '0.8550' '3.0602';  ...
                '0.8560' '3.0630';  ...
                '0.8570' '3.0658';  ...
                '0.8580' '3.0686';  ...
                '0.8590' '3.0714';  ...
                '0.8600' '3.0742';  ...
                '0.8610' '3.0770';  ...
                '0.8620' '3.0798';  ...
                '0.8630' '3.0826';  ...
                '0.8640' '3.0854';  ...
                '0.8650' '3.0882';  ...
                '0.8660' '3.0910';  ...
                '0.8670' '3.0938';  ...
                '0.8680' '3.0966';  ...
                '0.8690' '3.0994';  ...
                '0.8700' '3.1021';  ...
                '0.8710' '3.1049';  ...
                '0.8720' '3.1077';  ...
                '0.8730' '3.1105';  ...
                '0.8740' '3.1132';  ...
                '0.8750' '3.1160';  ...
                '0.8760' '3.1188';  ...
                '0.8770' '3.1215';  ...
                '0.8780' '3.1243';  ...
                '0.8790' '3.1271';  ...
                '0.8800' '3.1298';  ...
                '0.8810' '3.1326';  ...
                '0.8820' '3.1353';  ...
                '0.8830' '3.1381';  ...
                '0.8840' '3.1408';  ...
                '0.8850' '3.1436';  ...
                '0.8860' '3.1463';  ...
                '0.8870' '3.1491';  ...
                '0.8880' '3.1518';  ...
                '0.8890' '3.1546';  ...
                '0.8900' '3.1573';  ...
                '0.8910' '3.1600';  ...
                '0.8920' '3.1628';  ...
                '0.8930' '3.1655';  ...
                '0.8940' '3.1682';  ...
                '0.8950' '3.1710';  ...
                '0.8960' '3.1737';  ...
                '0.8970' '3.1764';  ...
                '0.8980' '3.1791';  ...
                '0.8990' '3.1819';  ...
                '0.9000' '3.1846';  ...
                '0.9010' '3.1873';  ...
                '0.9020' '3.1900';  ...
                '0.9030' '3.1927';  ...
                '0.9040' '3.1954';  ...
                '0.9050' '3.1981';  ...
                '0.9060' '3.2008';  ...
                '0.9070' '3.2035';  ...
                '0.9080' '3.2062';  ...
                '0.9090' '3.2089';  ...
                '0.9100' '3.2116';  ...
                '0.9110' '3.2143';  ...
                '0.9120' '3.2170';  ...
                '0.9130' '3.2197';  ...
                '0.9140' '3.2224';  ...
                '0.9150' '3.2251';  ...
                '0.9160' '3.2278';  ...
                '0.9170' '3.2305';  ...
                '0.9180' '3.2331';  ...
                '0.9190' '3.2358';  ...
                '0.9200' '3.2385';  ...
                '0.9210' '3.2412';  ...
                '0.9220' '3.2438';  ...
                '0.9230' '3.2465';  ...
                '0.9240' '3.2492';  ...
                '0.9250' '3.2518';  ...
                '0.9260' '3.2545';  ...
                '0.9270' '3.2572';  ...
                '0.9280' '3.2598';  ...
                '0.9290' '3.2625';  ...
                '0.9300' '3.2652';  ...
                '0.9310' '3.2678';  ...
                '0.9320' '3.2705';  ...
                '0.9330' '3.2731';  ...
                '0.9340' '3.2758';  ...
                '0.9350' '3.2784';  ...
                '0.9360' '3.2811';  ...
                '0.9370' '3.2837';  ...
                '0.9380' '3.2863';  ...
                '0.9390' '3.2890';  ...
                '0.9400' '3.2916';  ...
                '0.9410' '3.2942';  ...
                '0.9420' '3.2969';  ...
                '0.9430' '3.2995';  ...
                '0.9440' '3.3021';  ...
                '0.9450' '3.3048';  ...
                '0.9460' '3.3074';  ...
                '0.9470' '3.3100';  ...
                '0.9480' '3.3126';  ...
                '0.9490' '3.3153';  ...
                '0.9500' '3.3179';  ...
                '0.9510' '3.3205';  ...
                '0.9520' '3.3231';  ...
                '0.9530' '3.3257';  ...
                '0.9540' '3.3283';  ...
                '0.9550' '3.3309';  ...
                '0.9560' '3.3335';  ...
                '0.9570' '3.3361';  ...
                '0.9580' '3.3387';  ...
                '0.9590' '3.3413';  ...
                '0.9600' '3.3439';  ...
                '0.9610' '3.3465';  ...
                '0.9620' '3.3491';  ...
                '0.9630' '3.3517';  ...
                '0.9640' '3.3543';  ...
                '0.9650' '3.3569';  ...
                '0.9660' '3.3595';  ...
                '0.9670' '3.3621';  ...
                '0.9680' '3.3647';  ...
                '0.9690' '3.3672';  ...
                '0.9700' '3.3698';  ...
                '0.9710' '3.3724';  ...
                '0.9720' '3.3750';  ...
                '0.9730' '3.3775';  ...
                '0.9740' '3.3801';  ...
                '0.9750' '3.3827';  ...
                '0.9760' '3.3853';  ...
                '0.9770' '3.3878';  ...
                '0.9780' '3.3904';  ...
                '0.9790' '3.3929';  ...
                '0.9800' '3.3955';  ...
                '0.9810' '3.3981';  ...
                '0.9820' '3.4006';  ...
                '0.9830' '3.4032';  ...
                '0.9840' '3.4057';  ...
                '0.9850' '3.4083';  ...
                '0.9860' '3.4108';  ...
                '0.9870' '3.4134';  ...
                '0.9880' '3.4159';  ...
                '0.9890' '3.4185';  ...
                '0.9900' '3.4210';  ...
                '0.9910' '3.4235';  ...
                '0.9920' '3.4261';  ...
                '0.9930' '3.4286';  ...
                '0.9940' '3.4312';  ...
                '0.9950' '3.4337';  ...
                '0.9960' '3.4362';  ...
                '0.9970' '3.4387';  ...
                '0.9980' '3.4413';  ...
                '0.9990' '3.4438';  ...
                '1.0000' '3.4463';  ...
                '1.0025' '3.4526';  ...
                '1.0050' '3.4589';  ...
                '1.0075' '3.4652';  ...
                '1.0100' '3.4714';  ...
                '1.0125' '3.4777';  ...
                '1.0150' '3.4839';  ...
                '1.0175' '3.4902';  ...
                '1.0200' '3.4964';  ...
                '1.0225' '3.5026';  ...
                '1.0250' '3.5088';  ...
                '1.0275' '3.5150';  ...
                '1.0300' '3.5212';  ...
                '1.0325' '3.5273';  ...
                '1.0350' '3.5335';  ...
                '1.0375' '3.5396';  ...
                '1.0400' '3.5458';  ...
                '1.0425' '3.5519';  ...
                '1.0450' '3.5580';  ...
                '1.0475' '3.5641';  ...
                '1.0500' '3.5702';  ...
                '1.0525' '3.5763';  ...
                '1.0550' '3.5823';  ...
                '1.0575' '3.5884';  ...
                '1.0600' '3.5944';  ...
                '1.0625' '3.6005';  ...
                '1.0650' '3.6065';  ...
                '1.0675' '3.6125';  ...
                '1.0700' '3.6185';  ...
                '1.0725' '3.6245';  ...
                '1.0750' '3.6305';  ...
                '1.0775' '3.6365';  ...
                '1.0800' '3.6424';  ...
                '1.0825' '3.6484';  ...
                '1.0850' '3.6543';  ...
                '1.0875' '3.6602';  ...
                '1.0900' '3.6662';  ...
                '1.0925' '3.6721';  ...
                '1.0950' '3.6780';  ...
                '1.0975' '3.6839';  ...
                '1.1000' '3.6897';  ...
                '1.1025' '3.6956';  ...
                '1.1050' '3.7015';  ...
                '1.1075' '3.7073';  ...
                '1.1100' '3.7132';  ...
                '1.1125' '3.7190';  ...
                '1.1150' '3.7248';  ...
                '1.1175' '3.7306';  ...
                '1.1200' '3.7364';  ...
                '1.1225' '3.7422';  ...
                '1.1250' '3.7480';  ...
                '1.1275' '3.7538';  ...
                '1.1300' '3.7595';  ...
                '1.1325' '3.7653';  ...
                '1.1350' '3.7710';  ...
                '1.1375' '3.7767';  ...
                '1.1400' '3.7825';  ...
                '1.1425' '3.7882';  ...
                '1.1450' '3.7939';  ...
                '1.1475' '3.7996';  ...
                '1.1500' '3.8052';  ...
                '1.1525' '3.8109';  ...
                '1.1550' '3.8166';  ...
                '1.1575' '3.8222';  ...
                '1.1600' '3.8279';  ...
                '1.1625' '3.8335';  ...
                '1.1650' '3.8391';  ...
                '1.1675' '3.8448';  ...
                '1.1700' '3.8504';  ...
                '1.1725' '3.8560';  ...
                '1.1750' '3.8616';  ...
                '1.1775' '3.8671';  ...
                '1.1800' '3.8727';  ...
                '1.1825' '3.8783';  ...
                '1.1850' '3.8838';  ...
                '1.1875' '3.8894';  ...
                '1.1900' '3.8949';  ...
                '1.1925' '3.9004';  ...
                '1.1950' '3.9059';  ...
                '1.1975' '3.9115';  ...
                '1.2000' '3.9170';  ...
                '1.2025' '3.9224';  ...
                '1.2050' '3.9279';  ...
                '1.2075' '3.9334';  ...
                '1.2100' '3.9389';  ...
                '1.2125' '3.9443';  ...
                '1.2150' '3.9498';  ...
                '1.2175' '3.9552';  ...
                '1.2200' '3.9606';  ...
                '1.2225' '3.9660';  ...
                '1.2250' '3.9715';  ...
                '1.2275' '3.9769';  ...
                '1.2300' '3.9822';  ...
                '1.2325' '3.9876';  ...
                '1.2350' '3.9930';  ...
                '1.2375' '3.9984';  ...
                '1.2400' '4.0037';  ...
                '1.2425' '4.0091';  ...
                '1.2450' '4.0144';  ...
                '1.2475' '4.0198';  ...
                '1.2500' '4.0251';  ...
                '1.2525' '4.0304';  ...
                '1.2550' '4.0357';  ...
                '1.2575' '4.0410';  ...
                '1.2600' '4.0463';  ...
                '1.2625' '4.0516';  ...
                '1.2650' '4.0569';  ...
                '1.2675' '4.0621';  ...
                '1.2700' '4.0674';  ...
                '1.2725' '4.0726';  ...
                '1.2750' '4.0779';  ...
                '1.2775' '4.0831';  ...
                '1.2800' '4.0883';  ...
                '1.2825' '4.0936';  ...
                '1.2850' '4.0988';  ...
                '1.2875' '4.1040';  ...
                '1.2900' '4.1092';  ...
                '1.2925' '4.1144';  ...
                '1.2950' '4.1195';  ...
                '1.2975' '4.1247';  ...
                '1.3000' '4.1299';  ...
                '1.3025' '4.1350';  ...
                '1.3050' '4.1402';  ...
                '1.3075' '4.1453';  ...
                '1.3100' '4.1504';  ...
                '1.3125' '4.1556';  ...
                '1.3150' '4.1607';  ...
                '1.3175' '4.1658';  ...
                '1.3200' '4.1709';  ...
                '1.3225' '4.1760';  ...
                '1.3250' '4.1810';  ...
                '1.3275' '4.1861';  ...
                '1.3300' '4.1912';  ...
                '1.3325' '4.1963';  ...
                '1.3350' '4.2013';  ...
                '1.3375' '4.2064';  ...
                '1.3400' '4.2114';  ...
                '1.3425' '4.2164';  ...
                '1.3450' '4.2214';  ...
                '1.3475' '4.2265';  ...
                '1.3500' '4.2315';  ...
                '1.3525' '4.2365';  ...
                '1.3550' '4.2415';  ...
                '1.3575' '4.2465';  ...
                '1.3600' '4.2514';  ...
                '1.3625' '4.2564';  ...
                '1.3650' '4.2614';  ...
                '1.3675' '4.2663';  ...
                '1.3700' '4.2713';  ...
                '1.3725' '4.2762';  ...
                '1.3750' '4.2811';  ...
                '1.3775' '4.2861';  ...
                '1.3800' '4.2910';  ...
                '1.3825' '4.2959';  ...
                '1.3850' '4.3008';  ...
                '1.3875' '4.3057';  ...
                '1.3900' '4.3106';  ...
                '1.3925' '4.3155';  ...
                '1.3950' '4.3204';  ...
                '1.3975' '4.3252';  ...
                '1.4000' '4.3301';  ...
                '1.4025' '4.3350';  ...
                '1.4050' '4.3398';  ...
                '1.4075' '4.3446';  ...
                '1.4100' '4.3495';  ...
                '1.4125' '4.3543';  ...
                '1.4150' '4.3591';  ...
                '1.4175' '4.3639';  ...
                '1.4200' '4.3687';  ...
                '1.4225' '4.3735';  ...
                '1.4250' '4.3783';  ...
                '1.4275' '4.3831';  ...
                '1.4300' '4.3879';  ...
                '1.4325' '4.3927';  ...
                '1.4350' '4.3974';  ...
                '1.4375' '4.4022';  ...
                '1.4400' '4.4070';  ...
                '1.4425' '4.4117';  ...
                '1.4450' '4.4164';  ...
                '1.4475' '4.4212';  ...
                '1.4500' '4.4259';  ...
                '1.4525' '4.4306';  ...
                '1.4550' '4.4353';  ...
                '1.4575' '4.4400';  ...
                '1.4600' '4.4447';  ...
                '1.4625' '4.4494';  ...
                '1.4650' '4.4541';  ...
                '1.4675' '4.4588';  ...
                '1.4700' '4.4635';  ...
                '1.4725' '4.4681';  ...
                '1.4750' '4.4728';  ...
                '1.4775' '4.4775';  ...
                '1.4800' '4.4821';  ...
                '1.4825' '4.4867';  ...
                '1.4850' '4.4914';  ...
                '1.4875' '4.4960';  ...
                '1.4900' '4.5006';  ...
                '1.4925' '4.5052';  ...
                '1.4950' '4.5099';  ...
                '1.4975' '4.5145';  ...
                '1.5000' '4.5191';  ...
                '1.5025' '4.5236';  ...
                '1.5050' '4.5282';  ...
                '1.5075' '4.5328';  ...
                '1.5100' '4.5374';  ...
                '1.5125' '4.5419';  ...
                '1.5150' '4.5465';  ...
                '1.5175' '4.5510';  ...
                '1.5200' '4.5556';  ...
                '1.5225' '4.5601';  ...
                '1.5250' '4.5647';  ...
                '1.5275' '4.5692';  ...
                '1.5300' '4.5737';  ...
                '1.5325' '4.5782';  ...
                '1.5350' '4.5827';  ...
                '1.5375' '4.5872';  ...
                '1.5400' '4.5917';  ...
                '1.5425' '4.5962';  ...
                '1.5450' '4.6007';  ...
                '1.5475' '4.6052';  ...
                '1.5500' '4.6097';  ...
                '1.5525' '4.6141';  ...
                '1.5550' '4.6186';  ...
                '1.5575' '4.6231';  ...
                '1.5600' '4.6275';  ...
                '1.5625' '4.6320';  ...
                '1.5650' '4.6364';  ...
                '1.5675' '4.6408';  ...
                '1.5700' '4.6453';  ...
                '1.5725' '4.6497';  ...
                '1.5750' '4.6541';  ...
                '1.5775' '4.6585';  ...
                '1.5800' '4.6629';  ...
                '1.5825' '4.6673';  ...
                '1.5850' '4.6717';  ...
                '1.5875' '4.6761';  ...
                '1.5900' '4.6804';  ...
                '1.5925' '4.6848';  ...
                '1.5950' '4.6892';  ...
                '1.5975' '4.6936';  ...
                '1.6000' '4.6979';  ...
                '1.6025' '4.7023';  ...
                '1.6050' '4.7066';  ...
                '1.6075' '4.7109';  ...
                '1.6100' '4.7153';  ...
                '1.6125' '4.7196';  ...
                '1.6150' '4.7239';  ...
                '1.6175' '4.7283';  ...
                '1.6200' '4.7326';  ...
                '1.6225' '4.7369';  ...
                '1.6250' '4.7412';  ...
                '1.6275' '4.7455';  ...
                '1.6300' '4.7498';  ...
                '1.6325' '4.7540';  ...
                '1.6350' '4.7583';  ...
                '1.6375' '4.7626';  ...
                '1.6400' '4.7669';  ...
                '1.6425' '4.7711';  ...
                '1.6450' '4.7754';  ...
                '1.6475' '4.7796';  ...
                '1.6500' '4.7839';  ...
                '1.6525' '4.7881';  ...
                '1.6550' '4.7924';  ...
                '1.6575' '4.7966';  ...
                '1.6600' '4.8008';  ...
                '1.6625' '4.8050';  ...
                '1.6650' '4.8092';  ...
                '1.6675' '4.8135';  ...
                '1.6700' '4.8177';  ...
                '1.6725' '4.8219';  ...
                '1.6750' '4.8260';  ...
                '1.6775' '4.8302';  ...
                '1.6800' '4.8344';  ...
                '1.6825' '4.8386';  ...
                '1.6850' '4.8428';  ...
                '1.6875' '4.8469';  ...
                '1.6900' '4.8511'});
            model.component('comp1').material('mat6').propertyGroup('RefractiveIndex').func('int1').set('fununit', {'1'});
            model.component('comp1').material('mat6').propertyGroup('RefractiveIndex').func('int1').set('argunit', {'um'});
            model.component('comp1').material('mat6').propertyGroup('RefractiveIndex').func('int2').set('funcname', 'ni');
            model.component('comp1').material('mat6').propertyGroup('RefractiveIndex').func('int2').set('table', {'0.1930' '1.6247';  ...
                '0.1940' '1.6367';  ...
                '0.1950' '1.6485';  ...
                '0.1960' '1.6601';  ...
                '0.1970' '1.6714';  ...
                '0.1980' '1.6825';  ...
                '0.1990' '1.6934';  ...
                '0.2000' '1.7041';  ...
                '0.2010' '1.7146';  ...
                '0.2020' '1.7249';  ...
                '0.2030' '1.7350';  ...
                '0.2040' '1.7449';  ...
                '0.2050' '1.7545';  ...
                '0.2060' '1.7640';  ...
                '0.2070' '1.7732';  ...
                '0.2080' '1.7823';  ...
                '0.2090' '1.7911';  ...
                '0.2100' '1.7998';  ...
                '0.2110' '1.8082';  ...
                '0.2120' '1.8165';  ...
                '0.2130' '1.8246';  ...
                '0.2140' '1.8324';  ...
                '0.2150' '1.8401';  ...
                '0.2160' '1.8476';  ...
                '0.2170' '1.8550';  ...
                '0.2180' '1.8621';  ...
                '0.2190' '1.8691';  ...
                '0.2200' '1.8759';  ...
                '0.2210' '1.8825';  ...
                '0.2220' '1.8890';  ...
                '0.2230' '1.8953';  ...
                '0.2240' '1.9014';  ...
                '0.2250' '1.9074';  ...
                '0.2260' '1.9133';  ...
                '0.2270' '1.9190';  ...
                '0.2280' '1.9245';  ...
                '0.2290' '1.9300';  ...
                '0.2300' '1.9352';  ...
                '0.2310' '1.9404';  ...
                '0.2320' '1.9455';  ...
                '0.2330' '1.9504';  ...
                '0.2340' '1.9552';  ...
                '0.2350' '1.9599';  ...
                '0.2360' '1.9645';  ...
                '0.2370' '1.9691';  ...
                '0.2380' '1.9735';  ...
                '0.2390' '1.9778';  ...
                '0.2400' '1.9821';  ...
                '0.2410' '1.9863';  ...
                '0.2420' '1.9904';  ...
                '0.2430' '1.9944';  ...
                '0.2440' '1.9984';  ...
                '0.2450' '2.0024';  ...
                '0.2460' '2.0063';  ...
                '0.2470' '2.0101';  ...
                '0.2480' '2.0139';  ...
                '0.2490' '2.0176';  ...
                '0.2500' '2.0214';  ...
                '0.2510' '2.0251';  ...
                '0.2520' '2.0288';  ...
                '0.2530' '2.0324';  ...
                '0.2540' '2.0361';  ...
                '0.2550' '2.0397';  ...
                '0.2560' '2.0433';  ...
                '0.2570' '2.0470';  ...
                '0.2580' '2.0506';  ...
                '0.2590' '2.0542';  ...
                '0.2600' '2.0579';  ...
                '0.2610' '2.0615';  ...
                '0.2620' '2.0652';  ...
                '0.2630' '2.0688';  ...
                '0.2640' '2.0725';  ...
                '0.2650' '2.0762';  ...
                '0.2660' '2.0800';  ...
                '0.2670' '2.0837';  ...
                '0.2680' '2.0875';  ...
                '0.2690' '2.0913';  ...
                '0.2700' '2.0952';  ...
                '0.2710' '2.0991';  ...
                '0.2720' '2.1030';  ...
                '0.2730' '2.1069';  ...
                '0.2740' '2.1109';  ...
                '0.2750' '2.1149';  ...
                '0.2760' '2.1190';  ...
                '0.2770' '2.1231';  ...
                '0.2780' '2.1272';  ...
                '0.2790' '2.1314';  ...
                '0.2800' '2.1356';  ...
                '0.2810' '2.1399';  ...
                '0.2820' '2.1442';  ...
                '0.2830' '2.1486';  ...
                '0.2840' '2.1530';  ...
                '0.2850' '2.1574';  ...
                '0.2860' '2.1619';  ...
                '0.2870' '2.1664';  ...
                '0.2880' '2.1710';  ...
                '0.2890' '2.1756';  ...
                '0.2900' '2.1802';  ...
                '0.2910' '2.1849';  ...
                '0.2920' '2.1897';  ...
                '0.2930' '2.1945';  ...
                '0.2940' '2.1993';  ...
                '0.2950' '2.2041';  ...
                '0.2960' '2.2090';  ...
                '0.2970' '2.2140';  ...
                '0.2980' '2.2190';  ...
                '0.2990' '2.2240';  ...
                '0.3000' '2.2290';  ...
                '0.3010' '2.2341';  ...
                '0.3020' '2.2393';  ...
                '0.3030' '2.2444';  ...
                '0.3040' '2.2496';  ...
                '0.3050' '2.2549';  ...
                '0.3060' '2.2602';  ...
                '0.3070' '2.2655';  ...
                '0.3080' '2.2708';  ...
                '0.3090' '2.2762';  ...
                '0.3100' '2.2816';  ...
                '0.3110' '2.2870';  ...
                '0.3120' '2.2925';  ...
                '0.3130' '2.2980';  ...
                '0.3140' '2.3035';  ...
                '0.3150' '2.3090';  ...
                '0.3160' '2.3146';  ...
                '0.3170' '2.3202';  ...
                '0.3180' '2.3258';  ...
                '0.3190' '2.3315';  ...
                '0.3200' '2.3371';  ...
                '0.3210' '2.3428';  ...
                '0.3220' '2.3486';  ...
                '0.3230' '2.3543';  ...
                '0.3240' '2.3600';  ...
                '0.3250' '2.3658';  ...
                '0.3260' '2.3716';  ...
                '0.3270' '2.3774';  ...
                '0.3280' '2.3832';  ...
                '0.3290' '2.3891';  ...
                '0.3300' '2.3949';  ...
                '0.3310' '2.4008';  ...
                '0.3320' '2.4067';  ...
                '0.3330' '2.4126';  ...
                '0.3340' '2.4185';  ...
                '0.3350' '2.4245';  ...
                '0.3360' '2.4304';  ...
                '0.3370' '2.4364';  ...
                '0.3380' '2.4423';  ...
                '0.3390' '2.4483';  ...
                '0.3400' '2.4543';  ...
                '0.3410' '2.4603';  ...
                '0.3420' '2.4663';  ...
                '0.3430' '2.4723';  ...
                '0.3440' '2.4783';  ...
                '0.3450' '2.4843';  ...
                '0.3460' '2.4903';  ...
                '0.3470' '2.4964';  ...
                '0.3480' '2.5024';  ...
                '0.3490' '2.5085';  ...
                '0.3500' '2.5145';  ...
                '0.3510' '2.5206';  ...
                '0.3520' '2.5266';  ...
                '0.3530' '2.5327';  ...
                '0.3540' '2.5387';  ...
                '0.3550' '2.5448';  ...
                '0.3560' '2.5509';  ...
                '0.3570' '2.5569';  ...
                '0.3580' '2.5630';  ...
                '0.3590' '2.5691';  ...
                '0.3600' '2.5752';  ...
                '0.3610' '2.5812';  ...
                '0.3620' '2.5873';  ...
                '0.3630' '2.5934';  ...
                '0.3640' '2.5994';  ...
                '0.3650' '2.6055';  ...
                '0.3660' '2.6116';  ...
                '0.3670' '2.6176';  ...
                '0.3680' '2.6237';  ...
                '0.3690' '2.6297';  ...
                '0.3700' '2.6358';  ...
                '0.3710' '2.6418';  ...
                '0.3720' '2.6479';  ...
                '0.3730' '2.6539';  ...
                '0.3740' '2.6600';  ...
                '0.3750' '2.6660';  ...
                '0.3760' '2.6721';  ...
                '0.3770' '2.6781';  ...
                '0.3780' '2.6841';  ...
                '0.3790' '2.6901';  ...
                '0.3800' '2.6961';  ...
                '0.3810' '2.7022';  ...
                '0.3820' '2.7082';  ...
                '0.3830' '2.7142';  ...
                '0.3840' '2.7201';  ...
                '0.3850' '2.7261';  ...
                '0.3860' '2.7321';  ...
                '0.3870' '2.7381';  ...
                '0.3880' '2.7441';  ...
                '0.3890' '2.7500';  ...
                '0.3900' '2.7560';  ...
                '0.3910' '2.7619';  ...
                '0.3920' '2.7679';  ...
                '0.3930' '2.7738';  ...
                '0.3940' '2.7797';  ...
                '0.3950' '2.7856';  ...
                '0.3960' '2.7915';  ...
                '0.3970' '2.7974';  ...
                '0.3980' '2.8033';  ...
                '0.3990' '2.8092';  ...
                '0.4000' '2.8151';  ...
                '0.4010' '2.8210';  ...
                '0.4020' '2.8268';  ...
                '0.4030' '2.8327';  ...
                '0.4040' '2.8385';  ...
                '0.4050' '2.8444';  ...
                '0.4060' '2.8502';  ...
                '0.4070' '2.8560';  ...
                '0.4080' '2.8618';  ...
                '0.4090' '2.8676';  ...
                '0.4100' '2.8734';  ...
                '0.4110' '2.8792';  ...
                '0.4120' '2.8850';  ...
                '0.4130' '2.8907';  ...
                '0.4140' '2.8965';  ...
                '0.4150' '2.9023';  ...
                '0.4160' '2.9080';  ...
                '0.4170' '2.9137';  ...
                '0.4180' '2.9194';  ...
                '0.4190' '2.9252';  ...
                '0.4200' '2.9309';  ...
                '0.4210' '2.9366';  ...
                '0.4220' '2.9422';  ...
                '0.4230' '2.9479';  ...
                '0.4240' '2.9536';  ...
                '0.4250' '2.9592';  ...
                '0.4260' '2.9649';  ...
                '0.4270' '2.9705';  ...
                '0.4280' '2.9761';  ...
                '0.4290' '2.9818';  ...
                '0.4300' '2.9874';  ...
                '0.4310' '2.9930';  ...
                '0.4320' '2.9985';  ...
                '0.4330' '3.0041';  ...
                '0.4340' '3.0097';  ...
                '0.4350' '3.0152';  ...
                '0.4360' '3.0208';  ...
                '0.4370' '3.0263';  ...
                '0.4380' '3.0319';  ...
                '0.4390' '3.0374';  ...
                '0.4400' '3.0429';  ...
                '0.4410' '3.0484';  ...
                '0.4420' '3.0539';  ...
                '0.4430' '3.0593';  ...
                '0.4440' '3.0648';  ...
                '0.4450' '3.0703';  ...
                '0.4460' '3.0757';  ...
                '0.4470' '3.0812';  ...
                '0.4480' '3.0866';  ...
                '0.4490' '3.0920';  ...
                '0.4500' '3.0974';  ...
                '0.4510' '3.1028';  ...
                '0.4520' '3.1082';  ...
                '0.4530' '3.1136';  ...
                '0.4540' '3.1190';  ...
                '0.4550' '3.1243';  ...
                '0.4560' '3.1297';  ...
                '0.4570' '3.1350';  ...
                '0.4580' '3.1403';  ...
                '0.4590' '3.1457';  ...
                '0.4600' '3.1510';  ...
                '0.4610' '3.1563';  ...
                '0.4620' '3.1616';  ...
                '0.4630' '3.1669';  ...
                '0.4640' '3.1721';  ...
                '0.4650' '3.1774';  ...
                '0.4660' '3.1826';  ...
                '0.4670' '3.1879';  ...
                '0.4680' '3.1931';  ...
                '0.4690' '3.1983';  ...
                '0.4700' '3.2036';  ...
                '0.4710' '3.2088';  ...
                '0.4720' '3.2140';  ...
                '0.4730' '3.2191';  ...
                '0.4740' '3.2243';  ...
                '0.4750' '3.2295';  ...
                '0.4760' '3.2346';  ...
                '0.4770' '3.2398';  ...
                '0.4780' '3.2449';  ...
                '0.4790' '3.2501';  ...
                '0.4800' '3.2552';  ...
                '0.4810' '3.2603';  ...
                '0.4820' '3.2654';  ...
                '0.4830' '3.2705';  ...
                '0.4840' '3.2755';  ...
                '0.4850' '3.2806';  ...
                '0.4860' '3.2857';  ...
                '0.4870' '3.2907';  ...
                '0.4880' '3.2958';  ...
                '0.4890' '3.3008';  ...
                '0.4900' '3.3058';  ...
                '0.4910' '3.3108';  ...
                '0.4920' '3.3159';  ...
                '0.4930' '3.3209';  ...
                '0.4940' '3.3258';  ...
                '0.4950' '3.3308';  ...
                '0.4960' '3.3358';  ...
                '0.4970' '3.3407';  ...
                '0.4980' '3.3457';  ...
                '0.4990' '3.3506';  ...
                '0.5000' '3.3556';  ...
                '0.5010' '3.3605';  ...
                '0.5020' '3.3654';  ...
                '0.5030' '3.3703';  ...
                '0.5040' '3.3752';  ...
                '0.5050' '3.3801';  ...
                '0.5060' '3.3850';  ...
                '0.5070' '3.3898';  ...
                '0.5080' '3.3947';  ...
                '0.5090' '3.3996';  ...
                '0.5100' '3.4044';  ...
                '0.5110' '3.4092';  ...
                '0.5120' '3.4141';  ...
                '0.5130' '3.4189';  ...
                '0.5140' '3.4237';  ...
                '0.5150' '3.4285';  ...
                '0.5160' '3.4333';  ...
                '0.5170' '3.4381';  ...
                '0.5180' '3.4428';  ...
                '0.5190' '3.4476';  ...
                '0.5200' '3.4524';  ...
                '0.5210' '3.4571';  ...
                '0.5220' '3.4619';  ...
                '0.5230' '3.4666';  ...
                '0.5240' '3.4713';  ...
                '0.5250' '3.4760';  ...
                '0.5260' '3.4807';  ...
                '0.5270' '3.4854';  ...
                '0.5280' '3.4901';  ...
                '0.5290' '3.4948';  ...
                '0.5300' '3.4995';  ...
                '0.5310' '3.5041';  ...
                '0.5320' '3.5088';  ...
                '0.5330' '3.5134';  ...
                '0.5340' '3.5181';  ...
                '0.5350' '3.5227';  ...
                '0.5360' '3.5273';  ...
                '0.5370' '3.5320';  ...
                '0.5380' '3.5366';  ...
                '0.5390' '3.5412';  ...
                '0.5400' '3.5458';  ...
                '0.5410' '3.5503';  ...
                '0.5420' '3.5549';  ...
                '0.5430' '3.5595';  ...
                '0.5440' '3.5641';  ...
                '0.5450' '3.5686';  ...
                '0.5460' '3.5732';  ...
                '0.5470' '3.5777';  ...
                '0.5480' '3.5822';  ...
                '0.5490' '3.5867';  ...
                '0.5500' '3.5913';  ...
                '0.5510' '3.5958';  ...
                '0.5520' '3.6003';  ...
                '0.5530' '3.6048';  ...
                '0.5540' '3.6092';  ...
                '0.5550' '3.6137';  ...
                '0.5560' '3.6182';  ...
                '0.5570' '3.6226';  ...
                '0.5580' '3.6271';  ...
                '0.5590' '3.6315';  ...
                '0.5600' '3.6360';  ...
                '0.5610' '3.6404';  ...
                '0.5620' '3.6448';  ...
                '0.5630' '3.6493';  ...
                '0.5640' '3.6537';  ...
                '0.5650' '3.6581';  ...
                '0.5660' '3.6625';  ...
                '0.5670' '3.6668';  ...
                '0.5680' '3.6712';  ...
                '0.5690' '3.6756';  ...
                '0.5700' '3.6800';  ...
                '0.5710' '3.6843';  ...
                '0.5720' '3.6887';  ...
                '0.5730' '3.6930';  ...
                '0.5740' '3.6973';  ...
                '0.5750' '3.7017';  ...
                '0.5760' '3.7060';  ...
                '0.5770' '3.7103';  ...
                '0.5780' '3.7146';  ...
                '0.5790' '3.7189';  ...
                '0.5800' '3.7232';  ...
                '0.5810' '3.7275';  ...
                '0.5820' '3.7318';  ...
                '0.5830' '3.7361';  ...
                '0.5840' '3.7403';  ...
                '0.5850' '3.7446';  ...
                '0.5860' '3.7488';  ...
                '0.5870' '3.7531';  ...
                '0.5880' '3.7573';  ...
                '0.5890' '3.7616';  ...
                '0.5900' '3.7658';  ...
                '0.5910' '3.7700';  ...
                '0.5920' '3.7742';  ...
                '0.5930' '3.7784';  ...
                '0.5940' '3.7826';  ...
                '0.5950' '3.7868';  ...
                '0.5960' '3.7910';  ...
                '0.5970' '3.7952';  ...
                '0.5980' '3.7994';  ...
                '0.5990' '3.8035';  ...
                '0.6000' '3.8077';  ...
                '0.6010' '3.8118';  ...
                '0.6020' '3.8160';  ...
                '0.6030' '3.8201';  ...
                '0.6040' '3.8243';  ...
                '0.6050' '3.8284';  ...
                '0.6060' '3.8325';  ...
                '0.6070' '3.8366';  ...
                '0.6080' '3.8408';  ...
                '0.6090' '3.8449';  ...
                '0.6100' '3.8490';  ...
                '0.6110' '3.8530';  ...
                '0.6120' '3.8571';  ...
                '0.6130' '3.8612';  ...
                '0.6140' '3.8653';  ...
                '0.6150' '3.8693';  ...
                '0.6160' '3.8734';  ...
                '0.6170' '3.8775';  ...
                '0.6180' '3.8815';  ...
                '0.6190' '3.8856';  ...
                '0.6200' '3.8896';  ...
                '0.6210' '3.8936';  ...
                '0.6220' '3.8976';  ...
                '0.6230' '3.9017';  ...
                '0.6240' '3.9057';  ...
                '0.6250' '3.9097';  ...
                '0.6260' '3.9137';  ...
                '0.6270' '3.9177';  ...
                '0.6280' '3.9217';  ...
                '0.6290' '3.9257';  ...
                '0.6300' '3.9296';  ...
                '0.6310' '3.9336';  ...
                '0.6320' '3.9376';  ...
                '0.6330' '3.9415';  ...
                '0.6340' '3.9455';  ...
                '0.6350' '3.9494';  ...
                '0.6360' '3.9534';  ...
                '0.6370' '3.9573';  ...
                '0.6380' '3.9612';  ...
                '0.6390' '3.9652';  ...
                '0.6400' '3.9691';  ...
                '0.6410' '3.9730';  ...
                '0.6420' '3.9769';  ...
                '0.6430' '3.9808';  ...
                '0.6440' '3.9847';  ...
                '0.6450' '3.9886';  ...
                '0.6460' '3.9925';  ...
                '0.6470' '3.9964';  ...
                '0.6480' '4.0003';  ...
                '0.6490' '4.0041';  ...
                '0.6500' '4.0080';  ...
                '0.6510' '4.0119';  ...
                '0.6520' '4.0157';  ...
                '0.6530' '4.0196';  ...
                '0.6540' '4.0234';  ...
                '0.6550' '4.0272';  ...
                '0.6560' '4.0311';  ...
                '0.6570' '4.0349';  ...
                '0.6580' '4.0387';  ...
                '0.6590' '4.0425';  ...
                '0.6600' '4.0464';  ...
                '0.6610' '4.0502';  ...
                '0.6620' '4.0540';  ...
                '0.6630' '4.0578';  ...
                '0.6640' '4.0616';  ...
                '0.6650' '4.0653';  ...
                '0.6660' '4.0691';  ...
                '0.6670' '4.0729';  ...
                '0.6680' '4.0767';  ...
                '0.6690' '4.0804';  ...
                '0.6700' '4.0842';  ...
                '0.6710' '4.0880';  ...
                '0.6720' '4.0917';  ...
                '0.6730' '4.0955';  ...
                '0.6740' '4.0992';  ...
                '0.6750' '4.1029';  ...
                '0.6760' '4.1067';  ...
                '0.6770' '4.1104';  ...
                '0.6780' '4.1141';  ...
                '0.6790' '4.1178';  ...
                '0.6800' '4.1215';  ...
                '0.6810' '4.1252';  ...
                '0.6820' '4.1290';  ...
                '0.6830' '4.1326';  ...
                '0.6840' '4.1363';  ...
                '0.6850' '4.1400';  ...
                '0.6860' '4.1437';  ...
                '0.6870' '4.1474';  ...
                '0.6880' '4.1511';  ...
                '0.6890' '4.1547';  ...
                '0.6900' '4.1584';  ...
                '0.6910' '4.1621';  ...
                '0.6920' '4.1657';  ...
                '0.6930' '4.1694';  ...
                '0.6940' '4.1730';  ...
                '0.6950' '4.1767';  ...
                '0.6960' '4.1803';  ...
                '0.6970' '4.1839';  ...
                '0.6980' '4.1876';  ...
                '0.6990' '4.1912';  ...
                '0.7000' '4.1948';  ...
                '0.7010' '4.1984';  ...
                '0.7020' '4.2020';  ...
                '0.7030' '4.2056';  ...
                '0.7040' '4.2092';  ...
                '0.7050' '4.2128';  ...
                '0.7060' '4.2164';  ...
                '0.7070' '4.2200';  ...
                '0.7080' '4.2236';  ...
                '0.7090' '4.2272';  ...
                '0.7100' '4.2307';  ...
                '0.7110' '4.2343';  ...
                '0.7120' '4.2379';  ...
                '0.7130' '4.2414';  ...
                '0.7140' '4.2450';  ...
                '0.7150' '4.2485';  ...
                '0.7160' '4.2521';  ...
                '0.7170' '4.2556';  ...
                '0.7180' '4.2592';  ...
                '0.7190' '4.2627';  ...
                '0.7200' '4.2662';  ...
                '0.7210' '4.2698';  ...
                '0.7220' '4.2733';  ...
                '0.7230' '4.2768';  ...
                '0.7240' '4.2803';  ...
                '0.7250' '4.2838';  ...
                '0.7260' '4.2873';  ...
                '0.7270' '4.2908';  ...
                '0.7280' '4.2943';  ...
                '0.7290' '4.2978';  ...
                '0.7300' '4.3013';  ...
                '0.7310' '4.3048';  ...
                '0.7320' '4.3083';  ...
                '0.7330' '4.3118';  ...
                '0.7340' '4.3152';  ...
                '0.7350' '4.3187';  ...
                '0.7360' '4.3222';  ...
                '0.7370' '4.3256';  ...
                '0.7380' '4.3291';  ...
                '0.7390' '4.3326';  ...
                '0.7400' '4.3360';  ...
                '0.7410' '4.3394';  ...
                '0.7420' '4.3429';  ...
                '0.7430' '4.3463';  ...
                '0.7440' '4.3498';  ...
                '0.7450' '4.3532';  ...
                '0.7460' '4.3566';  ...
                '0.7470' '4.3600';  ...
                '0.7480' '4.3635';  ...
                '0.7490' '4.3669';  ...
                '0.7500' '4.3703';  ...
                '0.7510' '4.3737';  ...
                '0.7520' '4.3771';  ...
                '0.7530' '4.3805';  ...
                '0.7540' '4.3839';  ...
                '0.7550' '4.3873';  ...
                '0.7560' '4.3907';  ...
                '0.7570' '4.3941';  ...
                '0.7580' '4.3974';  ...
                '0.7590' '4.4008';  ...
                '0.7600' '4.4042';  ...
                '0.7610' '4.4076';  ...
                '0.7620' '4.4109';  ...
                '0.7630' '4.4143';  ...
                '0.7640' '4.4176';  ...
                '0.7650' '4.4210';  ...
                '0.7660' '4.4244';  ...
                '0.7670' '4.4277';  ...
                '0.7680' '4.4310';  ...
                '0.7690' '4.4344';  ...
                '0.7700' '4.4377';  ...
                '0.7710' '4.4411';  ...
                '0.7720' '4.4444';  ...
                '0.7730' '4.4477';  ...
                '0.7740' '4.4510';  ...
                '0.7750' '4.4544';  ...
                '0.7760' '4.4577';  ...
                '0.7770' '4.4610';  ...
                '0.7780' '4.4643';  ...
                '0.7790' '4.4676';  ...
                '0.7800' '4.4709';  ...
                '0.7810' '4.4742';  ...
                '0.7820' '4.4775';  ...
                '0.7830' '4.4808';  ...
                '0.7840' '4.4841';  ...
                '0.7850' '4.4874';  ...
                '0.7860' '4.4906';  ...
                '0.7870' '4.4939';  ...
                '0.7880' '4.4972';  ...
                '0.7890' '4.5005';  ...
                '0.7900' '4.5037';  ...
                '0.7910' '4.5070';  ...
                '0.7920' '4.5103';  ...
                '0.7930' '4.5135';  ...
                '0.7940' '4.5168';  ...
                '0.7950' '4.5200';  ...
                '0.7960' '4.5233';  ...
                '0.7970' '4.5265';  ...
                '0.7980' '4.5298';  ...
                '0.7990' '4.5330';  ...
                '0.8000' '4.5362';  ...
                '0.8010' '4.5395';  ...
                '0.8020' '4.5427';  ...
                '0.8030' '4.5459';  ...
                '0.8040' '4.5491';  ...
                '0.8050' '4.5524';  ...
                '0.8060' '4.5556';  ...
                '0.8070' '4.5588';  ...
                '0.8080' '4.5620';  ...
                '0.8090' '4.5652';  ...
                '0.8100' '4.5684';  ...
                '0.8110' '4.5716';  ...
                '0.8120' '4.5748';  ...
                '0.8130' '4.5780';  ...
                '0.8140' '4.5812';  ...
                '0.8150' '4.5844';  ...
                '0.8160' '4.5876';  ...
                '0.8170' '4.5907';  ...
                '0.8180' '4.5939';  ...
                '0.8190' '4.5971';  ...
                '0.8200' '4.6003';  ...
                '0.8210' '4.6034';  ...
                '0.8220' '4.6066';  ...
                '0.8230' '4.6098';  ...
                '0.8240' '4.6129';  ...
                '0.8250' '4.6161';  ...
                '0.8260' '4.6192';  ...
                '0.8270' '4.6224';  ...
                '0.8280' '4.6255';  ...
                '0.8290' '4.6287';  ...
                '0.8300' '4.6318';  ...
                '0.8310' '4.6350';  ...
                '0.8320' '4.6381';  ...
                '0.8330' '4.6412';  ...
                '0.8340' '4.6444';  ...
                '0.8350' '4.6475';  ...
                '0.8360' '4.6506';  ...
                '0.8370' '4.6538';  ...
                '0.8380' '4.6569';  ...
                '0.8390' '4.6600';  ...
                '0.8400' '4.6631';  ...
                '0.8410' '4.6662';  ...
                '0.8420' '4.6693';  ...
                '0.8430' '4.6724';  ...
                '0.8440' '4.6755';  ...
                '0.8450' '4.6786';  ...
                '0.8460' '4.6817';  ...
                '0.8470' '4.6848';  ...
                '0.8480' '4.6879';  ...
                '0.8490' '4.6910';  ...
                '0.8500' '4.6941';  ...
                '0.8510' '4.6972';  ...
                '0.8520' '4.7002';  ...
                '0.8530' '4.7033';  ...
                '0.8540' '4.7064';  ...
                '0.8550' '4.7095';  ...
                '0.8560' '4.7125';  ...
                '0.8570' '4.7156';  ...
                '0.8580' '4.7187';  ...
                '0.8590' '4.7217';  ...
                '0.8600' '4.7248';  ...
                '0.8610' '4.7278';  ...
                '0.8620' '4.7309';  ...
                '0.8630' '4.7339';  ...
                '0.8640' '4.7370';  ...
                '0.8650' '4.7400';  ...
                '0.8660' '4.7431';  ...
                '0.8670' '4.7461';  ...
                '0.8680' '4.7492';  ...
                '0.8690' '4.7522';  ...
                '0.8700' '4.7552';  ...
                '0.8710' '4.7582';  ...
                '0.8720' '4.7613';  ...
                '0.8730' '4.7643';  ...
                '0.8740' '4.7673';  ...
                '0.8750' '4.7703';  ...
                '0.8760' '4.7734';  ...
                '0.8770' '4.7764';  ...
                '0.8780' '4.7794';  ...
                '0.8790' '4.7824';  ...
                '0.8800' '4.7854';  ...
                '0.8810' '4.7884';  ...
                '0.8820' '4.7914';  ...
                '0.8830' '4.7944';  ...
                '0.8840' '4.7974';  ...
                '0.8850' '4.8004';  ...
                '0.8860' '4.8034';  ...
                '0.8870' '4.8064';  ...
                '0.8880' '4.8094';  ...
                '0.8890' '4.8123';  ...
                '0.8900' '4.8153';  ...
                '0.8910' '4.8183';  ...
                '0.8920' '4.8213';  ...
                '0.8930' '4.8242';  ...
                '0.8940' '4.8272';  ...
                '0.8950' '4.8302';  ...
                '0.8960' '4.8332';  ...
                '0.8970' '4.8361';  ...
                '0.8980' '4.8391';  ...
                '0.8990' '4.8420';  ...
                '0.9000' '4.8450';  ...
                '0.9010' '4.8479';  ...
                '0.9020' '4.8509';  ...
                '0.9030' '4.8538';  ...
                '0.9040' '4.8568';  ...
                '0.9050' '4.8597';  ...
                '0.9060' '4.8627';  ...
                '0.9070' '4.8656';  ...
                '0.9080' '4.8686';  ...
                '0.9090' '4.8715';  ...
                '0.9100' '4.8744';  ...
                '0.9110' '4.8774';  ...
                '0.9120' '4.8803';  ...
                '0.9130' '4.8832';  ...
                '0.9140' '4.8861';  ...
                '0.9150' '4.8891';  ...
                '0.9160' '4.8920';  ...
                '0.9170' '4.8949';  ...
                '0.9180' '4.8978';  ...
                '0.9190' '4.9007';  ...
                '0.9200' '4.9036';  ...
                '0.9210' '4.9065';  ...
                '0.9220' '4.9095';  ...
                '0.9230' '4.9124';  ...
                '0.9240' '4.9153';  ...
                '0.9250' '4.9182';  ...
                '0.9260' '4.9211';  ...
                '0.9270' '4.9239';  ...
                '0.9280' '4.9268';  ...
                '0.9290' '4.9297';  ...
                '0.9300' '4.9326';  ...
                '0.9310' '4.9355';  ...
                '0.9320' '4.9384';  ...
                '0.9330' '4.9413';  ...
                '0.9340' '4.9441';  ...
                '0.9350' '4.9470';  ...
                '0.9360' '4.9499';  ...
                '0.9370' '4.9528';  ...
                '0.9380' '4.9556';  ...
                '0.9390' '4.9585';  ...
                '0.9400' '4.9614';  ...
                '0.9410' '4.9642';  ...
                '0.9420' '4.9671';  ...
                '0.9430' '4.9700';  ...
                '0.9440' '4.9728';  ...
                '0.9450' '4.9757';  ...
                '0.9460' '4.9785';  ...
                '0.9470' '4.9814';  ...
                '0.9480' '4.9842';  ...
                '0.9490' '4.9871';  ...
                '0.9500' '4.9899';  ...
                '0.9510' '4.9928';  ...
                '0.9520' '4.9956';  ...
                '0.9530' '4.9985';  ...
                '0.9540' '5.0013';  ...
                '0.9550' '5.0041';  ...
                '0.9560' '5.0070';  ...
                '0.9570' '5.0098';  ...
                '0.9580' '5.0126';  ...
                '0.9590' '5.0154';  ...
                '0.9600' '5.0183';  ...
                '0.9610' '5.0211';  ...
                '0.9620' '5.0239';  ...
                '0.9630' '5.0267';  ...
                '0.9640' '5.0295';  ...
                '0.9650' '5.0324';  ...
                '0.9660' '5.0352';  ...
                '0.9670' '5.0380';  ...
                '0.9680' '5.0408';  ...
                '0.9690' '5.0436';  ...
                '0.9700' '5.0464';  ...
                '0.9710' '5.0492';  ...
                '0.9720' '5.0520';  ...
                '0.9730' '5.0548';  ...
                '0.9740' '5.0576';  ...
                '0.9750' '5.0604';  ...
                '0.9760' '5.0632';  ...
                '0.9770' '5.0660';  ...
                '0.9780' '5.0688';  ...
                '0.9790' '5.0716';  ...
                '0.9800' '5.0744';  ...
                '0.9810' '5.0771';  ...
                '0.9820' '5.0799';  ...
                '0.9830' '5.0827';  ...
                '0.9840' '5.0855';  ...
                '0.9850' '5.0883';  ...
                '0.9860' '5.0910';  ...
                '0.9870' '5.0938';  ...
                '0.9880' '5.0966';  ...
                '0.9890' '5.0993';  ...
                '0.9900' '5.1021';  ...
                '0.9910' '5.1049';  ...
                '0.9920' '5.1076';  ...
                '0.9930' '5.1104';  ...
                '0.9940' '5.1132';  ...
                '0.9950' '5.1159';  ...
                '0.9960' '5.1187';  ...
                '0.9970' '5.1214';  ...
                '0.9980' '5.1242';  ...
                '0.9990' '5.1269';  ...
                '1.0000' '5.1297';  ...
                '1.0025' '5.1365';  ...
                '1.0050' '5.1434';  ...
                '1.0075' '5.1502';  ...
                '1.0100' '5.1571';  ...
                '1.0125' '5.1639';  ...
                '1.0150' '5.1707';  ...
                '1.0175' '5.1775';  ...
                '1.0200' '5.1843';  ...
                '1.0225' '5.1910';  ...
                '1.0250' '5.1978';  ...
                '1.0275' '5.2046';  ...
                '1.0300' '5.2113';  ...
                '1.0325' '5.2180';  ...
                '1.0350' '5.2248';  ...
                '1.0375' '5.2315';  ...
                '1.0400' '5.2382';  ...
                '1.0425' '5.2449';  ...
                '1.0450' '5.2515';  ...
                '1.0475' '5.2582';  ...
                '1.0500' '5.2649';  ...
                '1.0525' '5.2715';  ...
                '1.0550' '5.2782';  ...
                '1.0575' '5.2848';  ...
                '1.0600' '5.2914';  ...
                '1.0625' '5.2980';  ...
                '1.0650' '5.3046';  ...
                '1.0675' '5.3112';  ...
                '1.0700' '5.3178';  ...
                '1.0725' '5.3244';  ...
                '1.0750' '5.3309';  ...
                '1.0775' '5.3375';  ...
                '1.0800' '5.3440';  ...
                '1.0825' '5.3506';  ...
                '1.0850' '5.3571';  ...
                '1.0875' '5.3636';  ...
                '1.0900' '5.3701';  ...
                '1.0925' '5.3766';  ...
                '1.0950' '5.3831';  ...
                '1.0975' '5.3896';  ...
                '1.1000' '5.3961';  ...
                '1.1025' '5.4025';  ...
                '1.1050' '5.4090';  ...
                '1.1075' '5.4154';  ...
                '1.1100' '5.4219';  ...
                '1.1125' '5.4283';  ...
                '1.1150' '5.4347';  ...
                '1.1175' '5.4411';  ...
                '1.1200' '5.4475';  ...
                '1.1225' '5.4539';  ...
                '1.1250' '5.4603';  ...
                '1.1275' '5.4667';  ...
                '1.1300' '5.4731';  ...
                '1.1325' '5.4794';  ...
                '1.1350' '5.4858';  ...
                '1.1375' '5.4921';  ...
                '1.1400' '5.4985';  ...
                '1.1425' '5.5048';  ...
                '1.1450' '5.5111';  ...
                '1.1475' '5.5174';  ...
                '1.1500' '5.5237';  ...
                '1.1525' '5.5300';  ...
                '1.1550' '5.5363';  ...
                '1.1575' '5.5426';  ...
                '1.1600' '5.5489';  ...
                '1.1625' '5.5552';  ...
                '1.1650' '5.5614';  ...
                '1.1675' '5.5677';  ...
                '1.1700' '5.5739';  ...
                '1.1725' '5.5802';  ...
                '1.1750' '5.5864';  ...
                '1.1775' '5.5926';  ...
                '1.1800' '5.5988';  ...
                '1.1825' '5.6050';  ...
                '1.1850' '5.6112';  ...
                '1.1875' '5.6174';  ...
                '1.1900' '5.6236';  ...
                '1.1925' '5.6298';  ...
                '1.1950' '5.6359';  ...
                '1.1975' '5.6421';  ...
                '1.2000' '5.6483';  ...
                '1.2025' '5.6544';  ...
                '1.2050' '5.6606';  ...
                '1.2075' '5.6667';  ...
                '1.2100' '5.6728';  ...
                '1.2125' '5.6789';  ...
                '1.2150' '5.6851';  ...
                '1.2175' '5.6912';  ...
                '1.2200' '5.6973';  ...
                '1.2225' '5.7034';  ...
                '1.2250' '5.7094';  ...
                '1.2275' '5.7155';  ...
                '1.2300' '5.7216';  ...
                '1.2325' '5.7277';  ...
                '1.2350' '5.7337';  ...
                '1.2375' '5.7398';  ...
                '1.2400' '5.7458';  ...
                '1.2425' '5.7519';  ...
                '1.2450' '5.7579';  ...
                '1.2475' '5.7639';  ...
                '1.2500' '5.7700';  ...
                '1.2525' '5.7760';  ...
                '1.2550' '5.7820';  ...
                '1.2575' '5.7880';  ...
                '1.2600' '5.7940';  ...
                '1.2625' '5.8000';  ...
                '1.2650' '5.8060';  ...
                '1.2675' '5.8119';  ...
                '1.2700' '5.8179';  ...
                '1.2725' '5.8239';  ...
                '1.2750' '5.8298';  ...
                '1.2775' '5.8358';  ...
                '1.2800' '5.8417';  ...
                '1.2825' '5.8477';  ...
                '1.2850' '5.8536';  ...
                '1.2875' '5.8596';  ...
                '1.2900' '5.8655';  ...
                '1.2925' '5.8714';  ...
                '1.2950' '5.8773';  ...
                '1.2975' '5.8832';  ...
                '1.3000' '5.8891';  ...
                '1.3025' '5.8950';  ...
                '1.3050' '5.9009';  ...
                '1.3075' '5.9068';  ...
                '1.3100' '5.9127';  ...
                '1.3125' '5.9185';  ...
                '1.3150' '5.9244';  ...
                '1.3175' '5.9303';  ...
                '1.3200' '5.9361';  ...
                '1.3225' '5.9420';  ...
                '1.3250' '5.9478';  ...
                '1.3275' '5.9537';  ...
                '1.3300' '5.9595';  ...
                '1.3325' '5.9653';  ...
                '1.3350' '5.9711';  ...
                '1.3375' '5.9770';  ...
                '1.3400' '5.9828';  ...
                '1.3425' '5.9886';  ...
                '1.3450' '5.9944';  ...
                '1.3475' '6.0002';  ...
                '1.3500' '6.0060';  ...
                '1.3525' '6.0118';  ...
                '1.3550' '6.0175';  ...
                '1.3575' '6.0233';  ...
                '1.3600' '6.0291';  ...
                '1.3625' '6.0349';  ...
                '1.3650' '6.0406';  ...
                '1.3675' '6.0464';  ...
                '1.3700' '6.0521';  ...
                '1.3725' '6.0579';  ...
                '1.3750' '6.0636';  ...
                '1.3775' '6.0693';  ...
                '1.3800' '6.0751';  ...
                '1.3825' '6.0808';  ...
                '1.3850' '6.0865';  ...
                '1.3875' '6.0922';  ...
                '1.3900' '6.0979';  ...
                '1.3925' '6.1037';  ...
                '1.3950' '6.1094';  ...
                '1.3975' '6.1151';  ...
                '1.4000' '6.1207';  ...
                '1.4025' '6.1264';  ...
                '1.4050' '6.1321';  ...
                '1.4075' '6.1378';  ...
                '1.4100' '6.1435';  ...
                '1.4125' '6.1491';  ...
                '1.4150' '6.1548';  ...
                '1.4175' '6.1605';  ...
                '1.4200' '6.1661';  ...
                '1.4225' '6.1718';  ...
                '1.4250' '6.1774';  ...
                '1.4275' '6.1830';  ...
                '1.4300' '6.1887';  ...
                '1.4325' '6.1943';  ...
                '1.4350' '6.1999';  ...
                '1.4375' '6.2056';  ...
                '1.4400' '6.2112';  ...
                '1.4425' '6.2168';  ...
                '1.4450' '6.2224';  ...
                '1.4475' '6.2280';  ...
                '1.4500' '6.2336';  ...
                '1.4525' '6.2392';  ...
                '1.4550' '6.2448';  ...
                '1.4575' '6.2504';  ...
                '1.4600' '6.2560';  ...
                '1.4625' '6.2615';  ...
                '1.4650' '6.2671';  ...
                '1.4675' '6.2727';  ...
                '1.4700' '6.2783';  ...
                '1.4725' '6.2838';  ...
                '1.4750' '6.2894';  ...
                '1.4775' '6.2949';  ...
                '1.4800' '6.3005';  ...
                '1.4825' '6.3060';  ...
                '1.4850' '6.3116';  ...
                '1.4875' '6.3171';  ...
                '1.4900' '6.3226';  ...
                '1.4925' '6.3282';  ...
                '1.4950' '6.3337';  ...
                '1.4975' '6.3392';  ...
                '1.5000' '6.3447';  ...
                '1.5025' '6.3502';  ...
                '1.5050' '6.3558';  ...
                '1.5075' '6.3613';  ...
                '1.5100' '6.3668';  ...
                '1.5125' '6.3723';  ...
                '1.5150' '6.3778';  ...
                '1.5175' '6.3832';  ...
                '1.5200' '6.3887';  ...
                '1.5225' '6.3942';  ...
                '1.5250' '6.3997';  ...
                '1.5275' '6.4052';  ...
                '1.5300' '6.4106';  ...
                '1.5325' '6.4161';  ...
                '1.5350' '6.4216';  ...
                '1.5375' '6.4270';  ...
                '1.5400' '6.4325';  ...
                '1.5425' '6.4379';  ...
                '1.5450' '6.4434';  ...
                '1.5475' '6.4488';  ...
                '1.5500' '6.4543';  ...
                '1.5525' '6.4597';  ...
                '1.5550' '6.4651';  ...
                '1.5575' '6.4706';  ...
                '1.5600' '6.4760';  ...
                '1.5625' '6.4814';  ...
                '1.5650' '6.4868';  ...
                '1.5675' '6.4922';  ...
                '1.5700' '6.4976';  ...
                '1.5725' '6.5031';  ...
                '1.5750' '6.5085';  ...
                '1.5775' '6.5139';  ...
                '1.5800' '6.5193';  ...
                '1.5825' '6.5246';  ...
                '1.5850' '6.5300';  ...
                '1.5875' '6.5354';  ...
                '1.5900' '6.5408';  ...
                '1.5925' '6.5462';  ...
                '1.5950' '6.5516';  ...
                '1.5975' '6.5569';  ...
                '1.6000' '6.5623';  ...
                '1.6025' '6.5677';  ...
                '1.6050' '6.5730';  ...
                '1.6075' '6.5784';  ...
                '1.6100' '6.5837';  ...
                '1.6125' '6.5891';  ...
                '1.6150' '6.5944';  ...
                '1.6175' '6.5998';  ...
                '1.6200' '6.6051';  ...
                '1.6225' '6.6105';  ...
                '1.6250' '6.6158';  ...
                '1.6275' '6.6211';  ...
                '1.6300' '6.6265';  ...
                '1.6325' '6.6318';  ...
                '1.6350' '6.6371';  ...
                '1.6375' '6.6424';  ...
                '1.6400' '6.6477';  ...
                '1.6425' '6.6531';  ...
                '1.6450' '6.6584';  ...
                '1.6475' '6.6637';  ...
                '1.6500' '6.6690';  ...
                '1.6525' '6.6743';  ...
                '1.6550' '6.6796';  ...
                '1.6575' '6.6849';  ...
                '1.6600' '6.6902';  ...
                '1.6625' '6.6954';  ...
                '1.6650' '6.7007';  ...
                '1.6675' '6.7060';  ...
                '1.6700' '6.7113';  ...
                '1.6725' '6.7166';  ...
                '1.6750' '6.7218';  ...
                '1.6775' '6.7271';  ...
                '1.6800' '6.7324';  ...
                '1.6825' '6.7376';  ...
                '1.6850' '6.7429';  ...
                '1.6875' '6.7482';  ...
                '1.6900' '6.7534'});
            model.component('comp1').material('mat6').propertyGroup('RefractiveIndex').func('int2').set('fununit', {'1'});
            model.component('comp1').material('mat6').propertyGroup('RefractiveIndex').func('int2').set('argunit', {'um'});
            model.component('comp1').material('mat6').propertyGroup('RefractiveIndex').set('n', '');
            model.component('comp1').material('mat6').propertyGroup('RefractiveIndex').set('ki', '');
            model.component('comp1').material('mat6').propertyGroup('RefractiveIndex').set('n', '');
            model.component('comp1').material('mat6').propertyGroup('RefractiveIndex').set('ki', '');
            model.component('comp1').material('mat6').propertyGroup('RefractiveIndex').set('n', '');
            model.component('comp1').material('mat6').propertyGroup('RefractiveIndex').set('ki', '');
            model.component('comp1').material('mat6').propertyGroup('RefractiveIndex').set('n', {'nr(c_const/freq)' '0' '0' '0' 'nr(c_const/freq)' '0' '0' '0' 'nr(c_const/freq)'});
            model.component('comp1').material('mat6').propertyGroup('RefractiveIndex').set('ki', {'ni(c_const/freq)' '0' '0' '0' 'ni(c_const/freq)' '0' '0' '0' 'ni(c_const/freq)'});
            model.component('comp1').material('mat6').propertyGroup('RefractiveIndex').addInput('frequency');
            
            model.component('comp1').physics('solid').prop('ShapeProperty').set('order_displacement', 2);
            model.component('comp1').physics('solid').feature('lemm1').set('E_mat', 'userdef');
            model.component('comp1').physics('solid').feature('lemm1').set('E', '1.9e+11');
            model.component('comp1').physics('solid').feature('lemm1').set('nu_mat', 'userdef');
            model.component('comp1').physics('solid').feature('lemm1').set('nu', 0.49);
            model.component('comp1').physics('solid').feature('lemm1').set('rho_mat', 'userdef');
            model.component('comp1').physics('solid').feature('lemm1').set('rho', 965);
            model.component('comp1').physics('solid').feature('bndl1').set('Ftot', {'sf'; '-sf'; '0'});
            model.component('comp1').physics('solid').feature('bndl1').set('FollowerPressure', 100);
            model.component('comp1').physics('solid').feature('bndl1').set('FperArea', {'sf'; '-sf'; '0'});
            model.component('comp1').physics('solid').feature('bndl2').set('Ftot', {'sf'; 'sf'; '0'});
            model.component('comp1').physics('solid').feature('bndl2').set('FollowerPressure', 100);
            model.component('comp1').physics('solid').feature('bndl2').set('FperArea', {'sf'; 'sf'; '0'});
            model.component('comp1').physics('solid').feature('bndl3').set('Ftot', {'-sf'; 'sf'; '0'});
            model.component('comp1').physics('solid').feature('bndl3').set('FollowerPressure', 100);
            model.component('comp1').physics('solid').feature('bndl3').set('FperArea', {'-sf'; 'sf'; '0'});
            model.component('comp1').physics('solid').feature('bndl4').set('Ftot', {'-sf'; '-sf'; '0'});
            model.component('comp1').physics('solid').feature('bndl4').set('FollowerPressure', 100);
            model.component('comp1').physics('solid').feature('bndl4').set('FperArea', {'-sf'; '-sf'; '0'});
            model.component('comp1').physics('solid').feature('bndl5').set('FperArea', [0; 0; 4500]);
            model.component('comp1').physics('solid').feature('bndl5').active(false);
            model.component('comp1').physics('spf').prop('PhysicalModelProperty').set('IncludeGravity', true);
            model.component('comp1').physics('spf').prop('AdvancedSettingProperty').set('UsePseudoTime', true);
            model.component('comp1').physics('spf').feature('inl1').set('BoundaryCondition', 'FullyDevelopedFlow');
            model.component('comp1').physics('spf').feature('inl1').set('ComponentWise', 'VelocityFieldComponentWise');
            model.component('comp1').physics('spf').feature('inl1').set('U0in', 1);
            model.component('comp1').physics('spf').feature('inl1').set('p0', 4500);
            model.component('comp1').physics('spf').feature('inl1').set('SuppressBackflow', false);
            model.component('comp1').physics('spf').feature('inl1').set('FlowDirection', 'userdef');
            model.component('comp1').physics('spf').feature('inl1').set('d_u', [0; 0; 1]);
            model.component('comp1').physics('spf').feature('inl1').set('FullyDevelopedFlowOption', 'V0');
            model.component('comp1').physics('spf').feature('inl1').set('V0fdf', 100);
            model.component('comp1').physics('spf').feature('inl1').active(false);
            model.component('comp1').physics('spf').feature('out1').set('p0', 'comp1.p');
            model.component('comp1').physics('spf').feature('vf1').set('F', [0; 0; 4500]);
            
            model.study.create('std2');
            model.study('std2').create('param', 'Parametric');
            model.study('std2').create('stat', 'Stationary');
            
            model.sol.create('sol339');
            model.sol('sol339').study('std2');
            model.sol('sol339').attach('std2');
            model.sol('sol339').create('st1', 'StudyStep');
            model.sol('sol339').create('v1', 'Variables');
            model.sol('sol339').create('s1', 'Stationary');
            model.sol('sol339').feature('s1').create('se1', 'Segregated');
            model.sol('sol339').feature('s1').create('d1', 'Direct');
            model.sol('sol339').feature('s1').create('d2', 'Direct');
            model.sol('sol339').feature('s1').create('i1', 'Iterative');
            model.sol('sol339').feature('s1').create('i2', 'Iterative');
            model.sol('sol339').feature('s1').feature('se1').create('ss1', 'SegregatedStep');
            model.sol('sol339').feature('s1').feature('se1').create('ss2', 'SegregatedStep');
            model.sol('sol339').feature('s1').feature('se1').create('spatial11', 'SegregatedStep');
            model.sol('sol339').feature('s1').feature('se1').feature.remove('ssDef');
            model.sol('sol339').feature('s1').feature('i1').create('mg1', 'Multigrid');
            model.sol('sol339').feature('s1').feature('i1').feature('mg1').feature('pr').create('so1', 'SOR');
            model.sol('sol339').feature('s1').feature('i1').feature('mg1').feature('po').create('so1', 'SOR');
            model.sol('sol339').feature('s1').feature('i1').feature('mg1').feature('cs').create('d1', 'Direct');
            model.sol('sol339').feature('s1').feature('i2').create('mg1', 'Multigrid');
            model.sol('sol339').feature('s1').feature('i2').feature('mg1').feature('pr').create('sc1', 'SCGS');
            model.sol('sol339').feature('s1').feature('i2').feature('mg1').feature('po').create('sc1', 'SCGS');
            model.sol('sol339').feature('s1').feature('i2').feature('mg1').feature('cs').create('d1', 'Direct');
            model.sol('sol339').feature('s1').feature.remove('fcDef');
            model.sol.create('sol340');
            model.sol('sol340').study('std2');
            model.sol('sol340').label('Parametric Solutions 1');
            model.sol.create('sol344');
            model.sol('sol344').study('std2');
            model.sol('sol344').label('Parametric Solutions 2');
            
            model.result.dataset.create('surf6', 'Surface');
            model.result.dataset.create('surf8', 'Surface');
            model.result.dataset.create('dset4', 'Solution');
            model.result.dataset.create('surf9', 'Surface');
            model.result.dataset.create('dset5', 'Solution');
            model.result.dataset('dset3').set('solution', 'sol339');
            model.result.dataset('surf6').set('data', 'dset3');
            model.result.dataset('surf6').selection.set([5 6 15 23]);
            model.result.dataset('surf8').set('data', 'dset3');
            model.result.dataset('surf8').selection.set([5 6 15 23]);
            model.result.dataset('dset4').set('solution', 'sol340');
            model.result.dataset('surf9').set('data', 'dset4');
            model.result.dataset('surf9').selection.set([5 6 15 23]);
            model.result.dataset('dset5').set('solution', 'sol344');
            model.result.dataset.remove('dset1');
            model.result.dataset.remove('dset2');
            model.result.numerical.create('max1', 'MaxVolume');
            model.result.numerical('max1').selection.set([2]);
            model.result.numerical('max1').set('probetag', 'none');
            
            model.study('std2').feature('param').active(false);
            model.study('std2').feature('param').set('sweeptype', 'filled');
            model.study('std2').feature('param').set('pname', {'length' 'inlet' 'outlet' 't' 'sf' 'bz'});
            model.study('std2').feature('param').set('plistarr', {'range(100,200,1300)' 'range(10,10,40)' 'range(80,20,120)' 'range(3,2,9)' '1.47e-3,1.17e-3,1.17e-3,1.41e-3,2.06e-3,2.94e-3,1.06e-3,5.87e-3,1.06e-3,1.76e-3,2.94e-3,4.7e-3' 'range(0.7,0.1,0.9)'});
            model.study('std2').feature('param').set('punit', {'' '' '' '' '' ''});
            
            model.sol('sol339').attach('std2');
            model.sol('sol339').feature('st1').label('Compile Equations: Stationary');
            model.sol('sol339').feature('v1').label('Dependent Variables 1.1');
            model.sol('sol339').feature('v1').set('control', 'user');
            model.sol('sol339').feature('s1').label('Stationary Solver 1.1');
            model.sol('sol339').feature('s1').set('control', 'user');
            model.sol('sol339').feature('s1').set('stol', 0.99);
            model.sol('sol339').feature('s1').feature('dDef').label('Direct 3');
            model.sol('sol339').feature('s1').feature('aDef').label('Advanced 1');
            model.sol('sol339').feature('s1').feature('aDef').set('cachepattern', true);
            model.sol('sol339').feature('s1').feature('se1').label('Segregated 1.1');
            model.sol('sol339').feature('s1').feature('se1').set('maxsegiter', 150);
            model.sol('sol339').feature('s1').feature('se1').feature('ss1').label('Solid Mechanics');
            model.sol('sol339').feature('s1').feature('se1').feature('ss1').set('linsolver', 'd1');
            model.sol('sol339').feature('s1').feature('se1').feature('ss2').label('Velocity u, Pressure p');
            model.sol('sol339').feature('s1').feature('se1').feature('ss2').set('segvar', {'comp1_u' 'comp1_p'});
            model.sol('sol339').feature('s1').feature('se1').feature('ss2').set('linsolver', 'd2');
            model.sol('sol339').feature('s1').feature('se1').feature('ss2').set('subdamp', '0.5');
            model.sol('sol339').feature('s1').feature('se1').feature('spatial11').label('Segregated Step 11.1');
            model.sol('sol339').feature('s1').feature('se1').feature('spatial11').set('segvar', {'comp1_spatial_disp'});
            model.sol('sol339').feature('s1').feature('se1').feature('spatial11').set('linsolver', 'd2');
            model.sol('sol339').feature('s1').feature('d1').label('Suggested Direct Solver (solid)');
            model.sol('sol339').feature('s1').feature('d1').set('linsolver', 'pardiso');
            model.sol('sol339').feature('s1').feature('d1').set('pivotperturb', 1.0E-9);
            model.sol('sol339').feature('s1').feature('d2').label('Direct, fluid flow variables (spf)');
            model.sol('sol339').feature('s1').feature('d2').set('linsolver', 'pardiso');
            model.sol('sol339').feature('s1').feature('d2').set('pivotperturb', 1.0E-13);
            model.sol('sol339').feature('s1').feature('i1').label('Suggested Iterative Solver (solid)');
            model.sol('sol339').feature('s1').feature('i1').set('nlinnormuse', true);
            model.sol('sol339').feature('s1').feature('i1').feature('ilDef').label('Incomplete LU 1');
            model.sol('sol339').feature('s1').feature('i1').feature('mg1').label('Multigrid 1.1');
            model.sol('sol339').feature('s1').feature('i1').feature('mg1').feature('pr').label('Presmoother 1');
            model.sol('sol339').feature('s1').feature('i1').feature('mg1').feature('pr').feature('soDef').label('SOR 2');
            model.sol('sol339').feature('s1').feature('i1').feature('mg1').feature('pr').feature('so1').label('SOR 1.1');
            model.sol('sol339').feature('s1').feature('i1').feature('mg1').feature('pr').feature('so1').set('relax', 0.8);
            model.sol('sol339').feature('s1').feature('i1').feature('mg1').feature('po').label('Postsmoother 1');
            model.sol('sol339').feature('s1').feature('i1').feature('mg1').feature('po').feature('soDef').label('SOR 2');
            model.sol('sol339').feature('s1').feature('i1').feature('mg1').feature('po').feature('so1').label('SOR 1.1');
            model.sol('sol339').feature('s1').feature('i1').feature('mg1').feature('po').feature('so1').set('relax', 0.8);
            model.sol('sol339').feature('s1').feature('i1').feature('mg1').feature('cs').label('Coarse Solver 1');
            model.sol('sol339').feature('s1').feature('i1').feature('mg1').feature('cs').feature('dDef').label('Direct 2');
            model.sol('sol339').feature('s1').feature('i1').feature('mg1').feature('cs').feature('d1').label('Direct 1.1');
            model.sol('sol339').feature('s1').feature('i1').feature('mg1').feature('cs').feature('d1').set('linsolver', 'pardiso');
            model.sol('sol339').feature('s1').feature('i1').feature('mg1').feature('cs').feature('d1').set('pivotperturb', 1.0E-9);
            model.sol('sol339').feature('s1').feature('i2').label('AMG, fluid flow variables (spf)');
            model.sol('sol339').feature('s1').feature('i2').set('nlinnormuse', true);
            model.sol('sol339').feature('s1').feature('i2').set('maxlinit', 1000);
            model.sol('sol339').feature('s1').feature('i2').set('rhob', 20);
            model.sol('sol339').feature('s1').feature('i2').feature('ilDef').label('Incomplete LU 1');
            model.sol('sol339').feature('s1').feature('i2').feature('mg1').label('Multigrid 1.1');
            model.sol('sol339').feature('s1').feature('i2').feature('mg1').set('prefun', 'saamg');
            model.sol('sol339').feature('s1').feature('i2').feature('mg1').set('maxcoarsedof', 80000);
            model.sol('sol339').feature('s1').feature('i2').feature('mg1').set('strconn', 0.02);
            model.sol('sol339').feature('s1').feature('i2').feature('mg1').set('nullspace', 'constant');
            model.sol('sol339').feature('s1').feature('i2').feature('mg1').set('saamgcompwise', true);
            model.sol('sol339').feature('s1').feature('i2').feature('mg1').set('usesmooth', false);
            model.sol('sol339').feature('s1').feature('i2').feature('mg1').feature('pr').label('Presmoother 1');
            model.sol('sol339').feature('s1').feature('i2').feature('mg1').feature('pr').feature('soDef').label('SOR 1');
            model.sol('sol339').feature('s1').feature('i2').feature('mg1').feature('pr').feature('sc1').label('SCGS 1.1');
            model.sol('sol339').feature('s1').feature('i2').feature('mg1').feature('pr').feature('sc1').set('linesweeptype', 'ssor');
            model.sol('sol339').feature('s1').feature('i2').feature('mg1').feature('pr').feature('sc1').set('iter', 0);
            model.sol('sol339').feature('s1').feature('i2').feature('mg1').feature('pr').feature('sc1').set('scgsvertexrelax', 0.7);
            model.sol('sol339').feature('s1').feature('i2').feature('mg1').feature('pr').feature('sc1').set('vankavarsactive', true);
            model.sol('sol339').feature('s1').feature('i2').feature('mg1').feature('pr').feature('sc1').set('approxscgs', true);
            model.sol('sol339').feature('s1').feature('i2').feature('mg1').feature('pr').feature('sc1').set('scgsdirectmaxsize', 1000);
            model.sol('sol339').feature('s1').feature('i2').feature('mg1').feature('po').label('Postsmoother 1');
            model.sol('sol339').feature('s1').feature('i2').feature('mg1').feature('po').feature('soDef').label('SOR 1');
            model.sol('sol339').feature('s1').feature('i2').feature('mg1').feature('po').feature('sc1').label('SCGS 1.1');
            model.sol('sol339').feature('s1').feature('i2').feature('mg1').feature('po').feature('sc1').set('linesweeptype', 'ssor');
            model.sol('sol339').feature('s1').feature('i2').feature('mg1').feature('po').feature('sc1').set('iter', 1);
            model.sol('sol339').feature('s1').feature('i2').feature('mg1').feature('po').feature('sc1').set('scgsvertexrelax', 0.7);
            model.sol('sol339').feature('s1').feature('i2').feature('mg1').feature('po').feature('sc1').set('vankavarsactive', true);
            model.sol('sol339').feature('s1').feature('i2').feature('mg1').feature('po').feature('sc1').set('approxscgs', true);
            model.sol('sol339').feature('s1').feature('i2').feature('mg1').feature('po').feature('sc1').set('scgsdirectmaxsize', 1000);
            model.sol('sol339').feature('s1').feature('i2').feature('mg1').feature('cs').label('Coarse Solver 1');
            model.sol('sol339').feature('s1').feature('i2').feature('mg1').feature('cs').feature('dDef').label('Direct 2');
            model.sol('sol339').feature('s1').feature('i2').feature('mg1').feature('cs').feature('d1').label('Direct 1.1');
            model.sol('sol339').feature('s1').feature('i2').feature('mg1').feature('cs').feature('d1').set('linsolver', 'pardiso');
            model.sol('sol339').feature('s1').feature('i2').feature('mg1').feature('cs').feature('d1').set('pivotperturb', 1.0E-13);
            model.sol('sol339').runAll;
            
            model.result.dataset('surf6').label('Exterior Walls 5');
            model.result.dataset('surf8').label('Exterior Walls');
            model.result.dataset('surf9').label('Exterior Walls 1');
            model.result.numerical('max1').set('table', 'tbl18');
            model.result.numerical('max1').set('expr', {'spf.out1.volumeFlowRate'});
            model.result.numerical('max1').set('unit', {'um^3/s'});
            model.result.numerical('max1').set('descr', {'Outward volume flow rate across feature selection'});
            model.result.numerical('max1').set('const', {'solid.refpntx' '0' 'Reference point for moment computation, x coordinate'; 'solid.refpnty' '0' 'Reference point for moment computation, y coordinate'; 'solid.refpntz' '0' 'Reference point for moment computation, z coordinate'});
            model.result.numerical('max1').setResult;
            vfr = model.result.numerical('max1').getReal();
            
            out = vfr;
        end
    end
end
